
/* octInterface.h --
 *
 *     Denis Lee
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1991 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/octInterface.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef OCT_INTERFACE_EXPORT_H
#define OCT_INTERFACE_EXPORT_H /* once-only latch */

#include "ansi.h"
#include "oct.h"

/* ---------- External procedures for the octInterface module ---------- */

EXTERN BearStatus Odi_ReadFromOct
    ARGS((char *chip_cell, char *chip_view, CellMaster **cellMasterPtrPtr));

EXTERN BearStatus Odi_WriteBackToOct
    ARGS((CellMaster *cellMasterPtr));

EXTERN BearStatus Odi_WriteToOct
    ARGS((CellMaster *cellMasterPtr, char *cell, char *view, bool routing));


/* --------- External global variables for the octInterface module --------- */

extern octObject odi_outchip;

#endif /* OCT_INTERFACE_EXPORT_H */

