
/*
 * macRCellItr.h --
 *
 *     Wei-ming Dai
 *     June Wang
 *     (Professor E. S. Kuh)
 *
 * Declares all the iterators related to RouteCell.
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Installed/mac/macRCellItr.h,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $
 */

#ifndef _MAC_RCELL_ITR
#define _MAC_RCELL_ITR

extern BearStatus Mac_ItrRCell(/* routeCellList, func, clientData */);
/*
 * RouteCell  *routeCellList;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrBoundPinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrBLBoundPinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrTRBoundPinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrSidePinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrTLSidePinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRSidePinOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRRootOfRCell(/* routeCell, func, clientData */);
/*
 * RouteCell  *routeCell;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus 
Mac_ItrSidePinOfIntervalOnRCell(/* routeCell, interval, func, clientData */);
/*
 * RouteCell  *routeCell;
 * Line       *interval;
 * BearStatus (*func)();
 * ClientData clientData;
 */

#endif _MAC_RCELL_ITR

