
/* rectSliceInt.h --
 *
 *      Tim Collins
 *      (Professor E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid "$Header: /home/cvs/octtools/src/BearFP-1.1/src/Installed/rectSlice/rectSliceInt.h,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $"
 */

#ifndef RECT_SLICE_INT
#define RECT_SLICE_INT

#define NO_SLICE        0  
#define LEFT_SLICE      1 
#define LEFT_MID_SLICE  2 
#define MID_SLICE       3 
#define RIGHT_MID_SLICE 4  
#define RIGHT_SLICE     5  
#define WHOLE_SLICE     6  

typedef struct _OrderedLine
{
    LinkedLine          *linePtr;
    struct _OrderedLine *nextPtr;
} OrderedLine;

extern void RsInsertRectList (/* rectListHead, rectPtr */);
/*
 * LinkedRect  **rectListHead;
 * LinkedRect  *rectPtr;
 */

extern LinkedLine * RsGetFirstLine(/* orderedLineList */);
/*
 * OrderedLine *orderedLineList;
 */

#endif RECT_SLICE_INT

