
/* grEditorInt.h --
 *
 *     George Carvalho
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/grEditor/grEditorInt.h,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $
 */

#ifndef _GREDITORINT
#define _GREDITORINT

#ifndef _FPG
int err0 = Need_to_include_fpg_header;
#endif _FPG


#include "list.h"
#include "st.h"


typedef enum _MatchType {
    BOTH,
    INTVALUE,
    EXTVALUE
} MatchType;


/* ---------- Internal procedures for the grEditor module ---------- */

extern bool             GreJunctTouchesJunct();
extern BearStatus       GreFindNodeOfGraph();
extern BearStatus       GreFindJunct();

extern void             GreDeleteGraph();

extern BearStatus GreDrawEdgeOfGraphOne(/* edge, drawDataPtr */);
/*
 * Gt_GraphEdge edge;
 * DrawData     *drawDataPtr;
 */

extern BearStatus GreDrawEdgeOfGraphTwo(/* winDataPtr, edge */);
/*
 * WindowData   *winDataPtr;
 * Gt_GraphEdge edge;
 */

extern BearStatus GreAreTheseNodesLegal(/* pinOrJunct1Ptr, pinOrJunct2Ptr */);
/*
 * PinOrJunct *pinOrJunct1Ptr, *pinOrJunct2Ptr;
 */

/* ---------- Internal global variables for the grEditor module ---------- */

extern int  greWhichJunct;
extern bool greUsePgWireData;

#endif _GREDITORINT

