
/* macNetItr.h --
 *
 *     Wei-ming Dai
 *     June Wang
 *     (Professor E. S. Kuh)
 *
 * Declares all the iterators related to Net.
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/mac/macNetItr.h,v 1.1.1.1 2002/12/31 15:51:08 saj Exp $
 */


#ifndef _MAC_NET_ITR
#define _MAC_NET_ITR

extern BearStatus Mac_ItrNet(/* netList, func, clientData */);
/*
 * Net        *netList;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPortOfNet(/* netPtr, func, clientData */);
/* 
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPinOfNet(/* netPtr, func, clientData */);
/* 
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrAllPortOfNet(/* netPtr, func, clientData */);
/* 
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrAllPinOfNet(/* netPtr, func, clientData */);
/* 
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRPinOfNet(/* netPtr, func, clientData */);
/*
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRRootOfNet(/* netPtr, func, clientData */);
/*
 * Net        *netPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

#endif _MAC_NET_ITR

