/*
 * macRingItr.h --
 *
 *      Wei-ming Dai
 *
 * Declares all the iterators related to routing ring.
 *
 * Copyright (C) 1988 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/mac/macRingItr.h,v 1.1.1.1 2002/12/31 15:51:08 saj Exp $ 
 */

#ifndef _MAC_RING_ITR
#define _MAC_RING_ITR

extern BearStatus Mac_ItrBoundPinOfRing(/* ringPtr, func, clientData */);
/*
 * Ring  *ringPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrInBoundPinOfRing(/* ringPtr, func, clientData */);
/*
 * Ring  *ringPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrOutBoundPinOfRing(/* ringPtr, func, clientData */);
/*
 * Ring  *ringPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRRootOfRing(/* ringPtr, func, clientData */);
/*
 * Ring  *ringPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

#endif _MAC_RING_ITR
