
/* nplDraw.h --
 *
 *     George Carvalho, Esq.
 *     Mister McGoo
 *     (Advising Professor E. S. Kuh)
 *
 * Copyright (C) 1990 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/newP/nplDraw.h,v 1.1.1.1 2002/12/31 15:51:08 saj Exp $
 */

#ifndef _NPL_DRAW
#define _NPL_DRAW /* once-only latch */

#include "ezPlot.h"
#include "../polarBear/polarBear.h"

extern WindowData *globalWinDataPtr;


typedef struct _Npl_PlaceWin Npl_PlaceWin;
struct _Npl_PlaceWin {
    WindowData      *winDataPtr;

    Ncl_Node        *nodePtr;
    Gt_Graph        graph;
    PlaneData       *planeDataPtr;
    La_CostEntry    *costOfNet;
};

extern void         NplInitPlaceWinView();
extern BearStatus   NplCreatePlaceWinOne();
extern void         NplClosePlaceWin();
extern BearStatus   NplDrawPlacementRegion();

extern void         NplInitChipWinView();
extern void         NplDrawChipWin();

extern void         NplDrawSlotsOfNode();
extern void         NplDrawNameOfNode();
extern void         NplOutlineNodeList();

extern void         NplShowPinDir();

extern bool         NplKeepGoing();

extern Npl_PlaceWin *nplPlaceWinPtr;
extern bool         nplBlkAndWhtFlag;

#endif /* _NPL_DRAW */

