
/* tmSplit.c --
 *
 *         Wei-Ming Dai
 *     (Professor E. S. Kuh)
 *
 * Main functions for tile split.
 *
 */

#ifndef lint
static char rcsid[] = "$Header: /home/cvs/octtools/src/BearFP-1.1/src/tileMapping/tmSplit.c,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $";
#endif  not lint

#include "bearCopyRight.h"
#include <stdio.h>
#include "magic.h"
#include "malloc.h"
#include "geometry.h"
#include "tile.h"
#include "bear.h"
#include "gtGraph.h"
#include "fpg.h"
#include "tileProp.h"
#include "mac.h"
#include "tileMapping.h"

extern ViewType viewTypeFlag;

void
Tm_HSplit(parentCellPtr)

CellMaster    *parentCellPtr;
{
    Tm_InsDCellOnHTP(parentCellPtr);
    Tm_HFSplit(parentCellPtr);
    viewTypeFlag = BOTH_DONE;
}



void
Tm_VSplit(parentCellPtr)

CellMaster    *parentCellPtr;
{
    Tm_InsDCellOnVTP(parentCellPtr);
    Tm_VFSplit(parentCellPtr);
    viewTypeFlag = BOTH_DONE;
}


