
/* tpTileItr.c --
 *
 *      June Wang
 *      (Advising Professor - E. S. Kuh)
 *
 */

#ifndef lint
static char rcsid[] = "$Header: /home/cvs/octtools/src/BearFP-1.1/src/tileProp/tpTileItr.c,v 1.1.1.1 2002/12/31 15:51:11 saj Exp $";
#endif  not lint

#include "bearCopyRight.h"
#include <stdio.h>
#include "magic.h"
#include "malloc.h"
#include "geometry.h"
#include "bear.h"
#include "tile.h"
#include "fpg.h"
#include "gtGraph.h"
#include "tileProp.h"
#include "tilePropInt.h"
#include "mac.h"


BearStatus
Tp_ItrBnLine(bnLineList, func, clientData)
BNLine       *bnLineList;
BearStatus   (*func)();
ClientData   clientData;
{
    register BNLine *bnLinePtr;

#ifdef DEBUG
    if (func == (BearStatus (*)()) NULL)
    {
        TpPrintFatalErr("Tp_ItrBnLine() failed: func not given");
    }
#endif DEBUG

    /*
     * If there are no bottle neck lines the search is complete.
     */
    if (bnLineList == NIL(BNLine))
    {
        return (BEAR_COMPLETE_SEARCH);
    }
    else
    {
        for (bnLinePtr = bnLineList;
            bnLinePtr != NIL(BNLine);
            bnLinePtr = bnLinePtr->nextPtr) 
        {
            if (((*func)(bnLinePtr, clientData)) == BEAR_STOP_SEARCH)
            {
                return (BEAR_STOP_SEARCH);
            }
        }
    }
    return (BEAR_COMPLETE_SEARCH);
}



