#if ! defined(LightLisp_h)
#define LightLisp_h

/*
 *    The globally visible functions
 */
typedef enum LLstatus LLstatus;
enum LLstatus {
    LL_ok,
    LL_notok,
};

extern LLstatus LLInitialize();
extern LLstatus LLUninitialize();

extern LLstatus LLSource();		/* source a file */
extern LLstatus LLSourceString();	/* source a string */
extern LLstatus LLSourceFile();		/* source a (FILE *) */

extern LLstatus LLShell();		/* read-eval-print loop */

extern int LLMain();			/* tty based */
extern int LLXMain();			/* X based */

#endif /* LightLisp_h */
