#include <sys/types.h>
#include <setjmp.h>
#include <math.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLAbs - abs
 *
 *    (abs number)
 *
 *    return the abs
 */
LLobject *
LLAbs(number)
LLobject *number;
{
	if ( ! LL_numberp(number) ) {
	    LLErrorF("\
Function: (abs number)\n\
\tnumber is not a number\n\
\tnumber: ~S\n\
", number);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	if (LL_realp(number)) {
	    return (LLMakeReal(ABS(number->value.a_real)));
	} else {
	    return (LLMakeInteger(ABS(number->value.a_integer)));
	}

	/*NOTREACHED*/
}
