#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLClose - close a stream
 *
 *    return the symbol cell
 */
LLobject *
LLClose(stream)
LLobject *stream;
{
	if ( ! LL_streamp(stream) ) {
	    LLErrorF("\
Function: (close stream)\n\
\targument is not a stream\n\
\tstream: ~S\n\
", stream);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	LLUnmakeStream(stream);

	return (LL_t);
}
