#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLNth - get the nth car
 *
 *    (nth i list)
 *
 *    return the nth car
 */
LLobject *
LLNth(i, list)
LLobject *i;
LLobject *list;
{
	if ( ! LL_integerp(i) ) {
	    LLErrorF("\
Function: (nth index list)\n\
\tindex is not an integer\n\
\tindex: ~S\n\
\tlist: ~S\n\
", i, list);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return (LLGetNth(i->value.a_integer, list));
}
