#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLNull - equal to nil
 *
 *    (null exp)
 *
 *    return {LL_t, LL_nil}
 */
LLobject *
LLNull(exp)
LLobject *exp;
{
	return (LL_null(exp) ? LL_t: LL_nil);
}

/*
 *    LLNot - equal to nil
 *
 *    (not exp)
 *
 *    return {LL_t, LL_nil}
 */
LLobject *
LLNot(exp)
LLobject *exp;
{
	return (LL_null(exp) ? LL_t: LL_nil);
}
