#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHDelete - delete an archive member
 *
 *    return {ARCH_ok, ARCH_notok}
 */
ARCHstatus
ARCHDelete(arch, index)
ARCHarchive *arch;
int index;
{
	ARCHfile shift;
	int i;
	
	if (index < 0 || DYNSizeOfEl(&arch->files) <= index)
	    return (ARCHErrno = ARCH_EOUT_OF_RANGE, ARCH_notok);

	for (i=index+1; i<DYNSizeOfEl(&arch->files); i++) {
	    shift = DYNAt(&arch->files, i, ARCHfile);
	    DYNpAtPut(&arch->files, i-1, &shift);
	}

	DYNSetCurrent(&arch->files, DYNSizeOfEl(&arch->files)-1);

	return (arch->flushP = TRUE, ARCH_ok);
}
