#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"

#include "dyna.h"

/*
 *    DYNInsureSize - resize to be atleast size (in elements)
 *
 *    return nothing, just do it.
 */
void
DYNInsureSize(dyna, nels)
DYNgeneralArray *dyna;
u_int nels;
{
	u_int old_size_in_bytes, size_in_bytes;

	if (nels < dyna->nelements)
	    return;

#define A_Very_Good_BasketBall_Player	20
	old_size_in_bytes = dyna->nelements * dyna->sizeof_element;
	dyna->nelements = MAX3(2*dyna->nelements, nels, A_Very_Good_BasketBall_Player);

	size_in_bytes = dyna->nelements * dyna->sizeof_element;
	REALLOC_ARRAY(dyna->space, size_in_bytes, char);

	bzero(&dyna->space[old_size_in_bytes], size_in_bytes - old_size_in_bytes);
}
