#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrIndexIn - like index (3)
 *
 *    return {the index, -1} on {success, fail}
 */
int
DYNStrIndexIn(sp, c)
DYNStrgeneralString *sp;
char c;
{
	String index_of_c;

	if (DYNStrLength(sp) == 0)
	    return (-1);
	
	if ((index_of_c = index(DYNStrTheString(sp), c)) == NULL)
	    return (-1);
	
	return (DYNStrPointerToIndex(sp, index_of_c));
}
