#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNGlobToSingleFilename - glob, to a single file
 *
 *    Glob as usual, but return only a single file, or error
 *
 *    return the {string, or NULL} on {glob successful, fail}
 */
String
FNGlobToSingleFilename(glob)
String glob;
{
	Stringv globv;

	globv = FNGlobFilename(glob);

	if (globv == NULL)
	    return (NULL);
	if (globv[1] != NULL)
	    return (FNErrno = FN_EONE, (String) NULL);

	return (globv[0]);
}
