;;;;
;;;;    The fib benchmark
;;;;
;;;;    See how fast the recursive execution speed is.
;;;;

(defun fib (x)
  "the standard fib benchmark"
  (if (< x 2)
      x
      (+ (fib (- x 1))
         (fib (- x 2)))))

(format t "Fib - should take about 15 seconds~%")
(time (fib 20))
