(validate apply
  (setq value-format #'format)
  (setq lambda-format #'(lambda (&rest any)
				(apply #'format any)))
  (defun redefun-format (stream control-string arg1 arg2 arg3 arg4)
	 (funcall lambda-format stream control-string arg1 arg2 arg3 arg4))
  
  (apply #'format t "apply - ~%")
  (apply 'format t "apply - ~S~%" 1)
  (apply value-format t "apply - ~S ~S~%" 1 2)
  (apply lambda-format t "apply - ~S ~S ~S~%" 1 2 3)
  (apply
   #'(lambda (stream control-string &rest args)
	     (apply lambda-format stream control-string args))
   t "apply - ~S ~S ~S ~S~%" 1 2 3 4)
  (apply #'format t "apply - ~%" '())
  (apply 'format t "apply - ~S~%" '(1))
  (apply #'format t "apply - ~S ~S~%" 1 '(2))
  (apply 'format t "apply - ~S ~S ~S~%" 1 '(2 3))
  (apply #'format t "apply - ~S ~S ~S ~S~%" 1 2 '(3 4))
  (format t "apply - ~S~%" (apply #'gensym nil))
  (format t "apply - lambda - ~S~%" 
	  (apply #'(lambda () (car (oblist))) nil))
  (format t "apply - closure - ~S~%" 
	  (apply #'car (oblist)))
  (when LightLisp
	(format t "test-for-badargs - function is not a function - ~S (expect nil)~%"
		(catch 'lightlisp		; function is special form etc
		       (apply 'if nil)))
	(format t "test-for-badargs - last member not a list - ~S (expect nil)~%"
		(catch 'lightlisp
		       (apply #'list 4 6)))))
