(validate concatenate
(let ((seq1 '(list . nil))
      (seq2 '(list (a b c d e f g h i j) (k l m n o p) (q r (s t) (u . v))))
      (seq3 '(list ((a . b) (c . d) (e . f) (g . h) (i . j) (k . l))))
      (seq4 '(list ((a b) (c d) (e f) (g h) (i j) (k l))))
      (seq5 '(string ""))
      (seq6 '(string "apple" "banana" "cherry" "merry" "foid"))
      (seq7 '(list "foid boid moid toid")))
  (format t "seq1 - ~S ~S~%" seq1 (apply #'concatenate seq1))
  (format t "seq2 - ~S ~S~%" seq2 (apply #'concatenate seq2))
  (format t "seq3 - ~S ~S~%" seq3 (apply #'concatenate seq3))
  (format t "seq4 - ~S ~S~%" seq4 (apply #'concatenate seq4))
  (format t "seq5 - ~S ~S~%" seq5 (apply #'concatenate seq5))
  (format t "seq6 - ~S ~S~%" seq6 (apply #'concatenate seq6))
  (format t "seq7 - ~S ~S~%" seq7 (apply #'concatenate seq7)))
(when LightLisp
  (format t "test-for-badargs - exp is not a sequence - ~S (expect nil)~%"
	  (catch 'lightlisp
		 (concatenate 'integer '(a b c) '(d e f) '(g h i))))
  (format t "test-for-badargs - cannot coerce - ~S (expect nil)~%"
	  (catch 'lightlisp
		 (concatenate 'string '(r) '(s) '(a b c d))))))
