(validate funcall
  (setq value-format #'format)
  (setq lambda-format #'(lambda (&rest any)
				(apply #'format any)))
  (defun redefun-format (stream control-string arg1 arg2 arg3 arg4)
	 (funcall lambda-format stream control-string arg1 arg2 arg3 arg4))
  
  (funcall #'format t "funcall - ~%")
  (funcall 'format t "funcall - ~S~%" 1)
  (funcall value-format t "funcall - ~S ~S~%" 1 2)
  (funcall lambda-format t "funcall - ~S ~S ~S~%" 1 2 3)
  (funcall
   #'(lambda (stream control-string &rest args)
	     (apply lambda-format stream control-string args))
   t "funcall - ~S ~S ~S ~S~%" 1 2 3 4)
  (funcall #'redefun-format t "ooh-heay-baby - ~S ~S ~S ~S~%" 1 2 3 4)
  (format t "funcall - lambda - ~S~%" 
	  (funcall #'(lambda (l) (car l)) (oblist)))
  (format t "funcall - closure - ~S~%" 
	  (funcall #'car (oblist)))
  (when LightLisp
	(format t "test-for-badargs - function is not a function - ~S (expect nil)~%"
		(catch 'lightlisp		; function is special form etc 
		       (funcall 'if nil)))))
