(validate isqrt
  (let ((integers '(1 3 5 7 9 100 300 500 700 900 3000 5000)))
       (dolist (i integers)
	       (let ((isqrt (isqrt i))
		     (sqrt (truncate (sqrt i))))
		    (format t "~D - ~D ~D~%" i isqrt sqrt)
		    (if (/= sqrt isqrt)
			(format t "~T integer and real sqrt mismatch~%")))))
  (when LightLisp
	(format t "test-for-badargs - integer is not an integer - ~S (expect nil)~%"
		(catch 'lightlisp
		       (isqrt 5.55)))
	(format t "test-for-badargs - integer is negative - ~S (expect nil)~%"
		(catch 'lightlisp
		       (isqrt -5)))))
