(validate sqrt
  (let ((integers '(.5e-2 1.883 3.3 5.8 7.0 8.0034 100 300 500 700 900 3000 50e24 1.39934e30)))
       (dolist (i integers)
	       (let ((isqrt (isqrt i))
		     (sqrt sqrt i))
		    (format t "~D - ~D ~D~%" i isqrt sqrt)
		    (if (/= sqrt isqrt)
			(format t "~T integer and real sqrt mismatch~%")))))
  (when LightLisp
	(format t "test-for-badargs - number is not a number - ~S (expect nil)~%"
		(catch 'lightlisp
		       (sqrt "yes")))
	(format t "test-for-badargs - integer is negative - ~S (expect nil)~%"
		(catch 'lightlisp
		       (sqrt -5)))))
