#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLAcons - create a a-list element
 *
 *    (acons key datum a-list)
 *
 *    return the cons cell
 */
LLobject *
LLAcons(key, datum, a_list)
LLobject *key;
LLobject *datum;
LLobject *a_list;
{
	/*
	 *    => (acons 'a 1 '((b . 2) (c . 3)))
	 *    ((a . 1) (b . 2) (c . 3))
	 */
	return (LLCons(LLCons(key, datum), a_list));
}
