#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLCons - create a new consCell
 *
 *    return the cons cell
 */
LLobject *
LLCons(car, cdr)
LLobject *car;
LLobject *cdr;
{
	LLobject *new;

	new = LLMakeObject();

	new->type = LLConsCell;
	new->value.a_cons.car = car;
	new->value.a_cons.cdr = cdr;
	new->type->count++;

	return (new);
}
