#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLFunctionClosure - create a new lexical environment for the function code
 *
 *    return the closure
 */
LLobject *
LLFunctionClosure(code, environment)
LLobject *code;
LLobject *environment;
{
	LLobject *new;

	new = LLMakeObject();

	new->type = LLFunctionClosureCell;
	new->value.a_closure.environment = environment;
	new->value.a_closure.code = code;
	new->type->count++;

	return (new);
}
