#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "reader.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLGenerateSymbol - generate a new symbol
 *
 *    return the new symbol
 */
LLstring
LLGenerateSymbol(suggestion, nsuggestion)
String suggestion;		/* may be NULL */
int nsuggestion;		/* may be 0 */
{
	static String prefix = "g";
	static int nprefix = 0;
	char buf[LL_MAXSTRINGLEN + 1];	/* +1 for the '\0' */

	if (suggestion != NULL)
	    prefix = LLInternSymbol(suggestion);
	if (nsuggestion >= 0)
	    nprefix = nsuggestion-1;

	sprintf(buf, "%s%09d", prefix, ++nprefix);
	return (LLInternSymbol(buf));
}
