#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLInternString - intern a string
 *
 *    return the new string
 */
LLstring
LLInternString(prestring)
String prestring;		/* may not be NULL */
{
	LLstring string;

	if (st_lookup(LLStringTable, prestring, &string))
	    return (string);

	string = COPY_STRING(prestring);
	LLHeap.nstringb += strlen(string)+1;		/* +1 for the '\0' */

	st_add_direct(LLStringTable, string, string);

	return (string);
}
