#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLKillHandle - kill a handle
 *
 *    value of a handle is (value . environment)
 *
 *    return if successful (else throw)
 */
void
LLKillHandle(handle)
LLhandle handle;
{
	LLobject *handobj;
	
	if ( ! st_delete(LLMachine.handles, handle, &handobj) ) {
	    LLErrorF("\
Function: LLKillHandle\n\
\tno such handle\n\
\thandle: ~D\n\
", handle);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	/* fine */
}
