#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeDistinguished - create a new distinguishedCell
 *
 *    return the distinguished cell
 */
LLobject *
LLMakeDistinguished(prepname)
String prepname;
{
	LLobject *new;
	LLstring pname;

	pname = LLInternSymbol(prepname);

	new = LLMakeObject();

	new->type = LLDistinguishedCell;
	new->value.a_symbol.pname = pname;
	new->type->count++;

	return (new);
}
