#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeReal - create a new realCell
 *
 *    return the real cell
 */
LLobject *
LLMakeReal(real)
double real;
{
	LLobject *new;

	new = LLMakeObject();

	new->type = LLRealCell;
	new->value.a_real = real;
	new->type->count++;

	return (new);
}
