#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeString - create a new stringCell
 *
 *    return the string cell
 */
LLobject *
LLMakeString(string)
String string;
{
	LLobject *new;

	new = LLMakeObject();

	new->type = LLStringCell;
	/* save strings in the same place that symbols are stored */
	new->value.a_string = LLInternString(string);	
	new->type->count++;

	return (new);
}
