#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>
#include <sys/time.h>
#include <sys/resource.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLStopWatch - snapshot the time
 *
 *    return current millisecond
 */
LLtime
LLStopWatch()
{
	struct rusage usage;
	u_long high, low;

	getrusage(RUSAGE_SELF, &usage);
	
	high = usage.ru_utime.tv_sec * 1000;
	low = usage.ru_utime.tv_usec/1000;

	return (high + low);
}
