#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>
#include <ctype.h>
#include <varargs.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLFormatC - format to a stream 
 *
 *    The args are C variables
 *
 *    LLFormatC(stream, format, args ... )
 *
 *    format may have in it:
 *        ~S
 *        ~A
 *        ~D, ~O ~X
 *        ~F, ~G
 *        ~C
 *
 *    return nothing, just do it.
 */
/*VARARGS2*/
void
LLFormatC(va_alist)
va_dcl
{
	va_list ap;
	STREAM *stream;
	String format;

	va_start(ap);

	stream = va_arg(ap, STREAM *);
	format = va_arg(ap, String);

	LLFormatCv(stream, format, ap);

	va_end(ap);
}
