#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>
#include <ctype.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "reader.h"
#include "internal.h"

/*
 *    LL_Read_Initialize - initialize the reader
 *
 *    return {LL_ok, LL_notok} on {success, fail}
 */
LLstatus
LL_Read_Initialize()
{
	LL_Re_InputStream = STREAMCreate(STREAM_FILE, stdin, "<stdin>", STREAM_FILE, stdout, "<stdout>");

	DYNStrInit(&LL_Re_StringToken);

	return (LL_ok);
}
