#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>
#include <ctype.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "reader.h"
#include "internal.h"

/*
 *    LL_Read_Uninitialize - uninitialize the reader
 *
 *    return {LL_ok, LL_notok} on {success, fail}
 */
LLstatus
LL_Read_Uninitialize()
{
	DYNStrFree(&LL_Re_StringToken);

	STREAMDestroy(LL_Re_InputStream);

	return (LL_ok);
}
