#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"
#include "filename.h"

#include "stream.h"

#include "internal.h"

/*
 *    STREAMSetNewline - setup the newlining
 *
 *    STREAMstatus
 *    callback(stream, userData)
 *    STREAM *stream;
 *    RefAny userData;
 *
 *    void
 *    destructor(userData)      - free would qualify
 *    RefAny userData;
 *
 *    return nothing, just do it.
 */
void
STREAMSetNewline(stream, type, callback, userData, destructor)
STREAM *stream;
STREAMnewlineType type;
STREAMstatus (*callback)();
RefAny userData;
void (*destructor)();
{
	stream->newline.type = type;
	stream->newline.callback = callback;
	stream->newline.destructor = destructor;
	stream->newline.userData = userData;
	stream->newline.inhibitP = FALSE;
}
