#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include <ctype.h>

#include "stuff.h"
#include "alloc.h"

#include "toargv.h"

/*
 *    CopyArgv - return a copy of the argv
 *
 *    Argv is a NULL terminated vector of strings.
 *
 *    return the argv.
 */
Stringv
CopyArgv(argv)
Stringv argv;
{
	int i, count;
	Stringv copyv;

	for (i=0, count=0; argv[i] != NULL; i++)
	    count++;

	copyv = ALLOC_ARRAY(count+1, String);
	copyv[count] = NULL;

	for (i=0; argv[i] != NULL; i++)
	    copyv[i] = COPY_STRING(argv[i]);
	
	return (copyv);
}
