#include "sumachine.h"

#include <sys/types.h>
#include <fcntl.h>

#include "stuff.h"

/*
 *    GetNOpenFiles - count the number of open file descriptors
 *
 *    return the count
 */
int
GetNOpenFiles()
{
	int count, fd, tablesize;

	/*
	 *    If you can get the close-on-exec flag,
	 *    then it is a valid file descriptor
	 */
	tablesize = getdtablesize();
	for (fd=0, count=0; fd<tablesize; fd++) {
	    count += fcntl(fd, F_GETFD, NULL) == 0;
	}

	return (count);
}
