#include "sumachine.h"

#include <sys/types.h>

#include <ctype.h>

#include "stuff.h"

/*
 *    nocase_lead_strequal - case insensitive leading string comparison.
 *
 *    an int so that it doesn't have to be declared everywhere
 *
 *    return {1, 0} on {is, is not}.
 */
int
nocase_lead_strequal(target, lead)
register u_Byte *target;
register u_Byte *lead;
{
	register u_int targetc, leadc;

	while (*target != '\0' && *lead != '\0') {
	    targetc = *target, leadc = *lead;

	    if (islower(targetc))
		targetc = _toupper(targetc);	/* the macro! */
	    if (islower(leadc))
		leadc = _toupper(leadc);	/* the macro! */

	    if (targetc != leadc)
		return (0);
	    target++, lead++;
	}

	return (*lead == '\0' ? 1: 0);
}
