#include <sys/param.h>

#include <sys/time.h>
#include <sys/resource.h>

#include "stuff.h"
#include "alloc.h"
#include "valid.h"

/*
 *    OutOfMemoryP - see if you are really out of memory
 *
 *    return {TRUE, FALSE}
 */
Boolean
OutOfMemoryP(much)
u_int much;
{
	u_int highest;
	struct rlimit limit;

	highest = (u_int) sbrk(0);
	getrlimit(RLIMIT_DATA, &limit);

	return (highest + much >= etext + limit.rlim_cur ? TRUE: FALSE);
}
