#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"

#include "tostring.h"

/*
 *    PrintString - print the string, even if it is unprintable
 *
 *    return nothing, just do it.
 */
void
PrintString(file, unprintable)
FILE *file;
String unprintable;
{
	char *u;
	register int c;

	for (u=unprintable; *u != '\0'; u++) {
	    c = (u_char) *u;

	    if (c > 0177) {
		putc('M', file);
		putc('-', file);
		c &= 0177;
	    }

	    if (c < ' ') {
		putc('^', file);
		putc(c+'@', file);
	    } else if (c == 0177) {
		putc('^', file);
		putc('?', file);
	    } else {
		putc(c, file);
	    }
	}
}
