#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"

#include "tostring.h"

/*
 *    PrintableChar - return a printable char (in a satic String).
 *
 *    return the string
 */
String
PrintableChar(c)
u_char c;
{
	static char printable[5];
	char *p;

	p = printable;

	if (c > 0177) {
	    *p++ = 'M';
	    *p++ = '-';
	    c &= 0177;
	}

	if (c < ' ') {
	    *p++ = '^';
	    *p++ = c+'@';
	} else if (c == 0177) {
	    *p++ = '^';
	    *p++ = '?';
	} else {
	    *p++ = c;
	}

	*p = '\0';

	return (printable);
}
