#include "sumachine.h"

#ifdef SOURCE_HEADER
/*
 *    			RCS Control Information:
 *    $Author: saj $				
 *    $Date: 2002/12/31 15:50:57 $
 *
 *    $Revision: 1.1.1.1 $		
 *    $Source: /home/cvs/octtools/src/LightLisp/src/stuff/setenv.c,v $
 *    $State: Exp $
 *
 */
#endif SOURCE_HEADER
#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "toargv.h"

/*
 *    Note: csh setenv() is a piece of shit.  This does it RIGHT.
 */

extern Stringv environ;
static Boolean copiedP = FALSE;

/*
 *    setenv - set an environment variable.
 *
 *    return nothing, just do it.
 */
void
setenv(name, value)
String name;
String value;
{
	Stringv ep, nep, newenviron;
	String newvalue;
	Boolean equalP;
	char *equals;
	int namelen, valuelen, envlen;

	if ( ! copiedP ) {
	    environ = CopyArgv(environ);
	    copiedP = TRUE;
	}

	namelen = strlen(name);
	valuelen = strlen(value);
	newvalue = ALLOC_ARRAY(namelen+valuelen+1, char);

	strcpy(newvalue, name);
	newvalue[namelen] = '=';
	strcpy(&newvalue[namelen+1], value);

	/*
	 *    Step through all of the environment variables
	 */
	for (ep=environ; *ep != NULL; ep++) {
	    *(equals = index(*ep, '=')) = '\0';
	    equalP = strequal(*ep, name);
	    *equals = '=';

	    if ( ! equalP )
		continue;

	    FREE(*ep);
	    *ep = newvalue;
	    return;
	}

	envlen = CountArgv(environ);
	newenviron = ALLOC_ARRAY(envlen+2, String);

	for (ep=environ, nep=newenviron; *ep != NULL; ep++, nep++)
	    *nep = *ep;
	*nep++ = newvalue;
	*nep = NULL;

	FREE(environ);
	environ = newenviron;
}

/*
 *    unsetenv - unset an environment variable
 *
 *    return nothing, just do it.
 */
unsetenv(name)
char *name;			/* unset this name	*/
{
	Stringv ep;
	char *equals;
	Boolean equalP;

	if ( ! copiedP ) {
	    environ = CopyArgv(environ);
	    copiedP = TRUE;
	}

	/*
	 *    Step through all of the environment variables
	 */
	for (ep=environ, equalP=FALSE; *ep != NULL && ! equalP; ep++) {
	    *(equals = index(*ep, '=')) = '\0';
	    equalP = strequal(*ep, name);
	    *equals = '=';
	}

	if (*ep == NULL)
	    return;		/* didn't exist */

	/*
	 *    Copy the rest of the list onto the free'd element.
	 */
	FREE(*ep);
	while (*ep != NULL) {
	    *ep = ep[1];
	    ep++;
	}
}
