#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if OPSYS_SUBTYPE == MD_HPUX /* { */
#include <sys/types.h>
#include <sys/param.h>
#include <stdio.h>

char *
getwd(buf)
char buf[MAXPATHLEN];
{
	FILE *pipe;
	char *b, *ret;
	int bi, c;

	if ((pipe = popen("pwd", "r")) == NULL)
	    return (NULL);

	ret = buf;
	b = buf;
	bi = 0;
	while ((c = getc(pipe)) != EOF) {
	    *b++ = c;
	    bi++;
	    if (bi >= sizeof (buf)-1) {
		ret = NULL;
		break;
	    }
	}
	*b = '\0';

	fclose(pipe);
	return (buf);
}
#endif /* } */
