#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

/*
 *    AIX 2.2 has no index function,
 *    AIX 2.2.1 has an index function which is ``char *index(char*, char*)''
 *                  the rest of the world uses ``char *index(char*, int)''
 */
#if (OPSYS_SUBTYPE == MD_AIX && OPSYS_VERS <= MD_AIX_2_2) || \
	(OPSYS_SUBTYPE == MD_AIX && OPSYS_VERS == MD_AIX_2_2_1) || \
	OPSYS_SUBTYPE == MD_HPUX || \
	OPSYS_SUBTYPE == MD_SYS5 || \
	OPSYS_TYPE == MD_VMS /* { */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 *    index - same as strchr
 */
char *
index(s, c)
char *s;
int c;
{
	extern char *strchr();

	return (strchr(s, c));
}
#endif /* } */
