#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#include <sys/ioctl.h>

/*
 *    This is an optimization only and need not be accepted
 *    Typically (a much slower version of) this function is provided
 *    in the standard C library.
 */

#if defined(TIOCGWINSZ) /* { */
/*
 *    isatty - see if you can get the window size
 *
 *    Because this is faster than searching through /dev to find the tty
 *    that you are on (especially if there are lots of devices).
 *    Only do this if there is a TIOCGWINSZ ioctl though...
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
int
isatty(fd)
int fd;
{
	struct winsize ws;

	return (ioctl(fd, TIOCGWINSZ, &ws) < 0 ? 0: 1);
}
#endif /* } */
#endif /* } */
