#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB && OPSYS_VERS >= MD_BSD_4_2) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE != MD_HPUX) || \
	OPSYS_MFR == MD_SONY /* { */
	/* sun provides this as of os 3.5 */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 * strpbrk - find first occurrence of any char from breakat in s
 */
char *				/* found char, or NULL if none */
strpbrk(s, breakat)
char *s;
char *breakat;
{
	register char *sscan;
	register char *bscan;

	for (sscan = s; *sscan != '\0'; sscan++) {
		for (bscan = breakat; *bscan != '\0';)	/* ++ moved down. */
			if (*sscan == *bscan++)
				return sscan;
	}
	return (char *) 0;
}
#endif /* } */
