#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "oct.h"
#include "oct_helper.h"

#include "OctLisp.h"
#include "OctLispMachine.h"

#include "machine.h"
#include "help.h"
#include "internal.h"

/*
 *    OLBb - bb
 *
 *    (bb container)
 *
 *    return the box
 */
LLobject *
OLBb(container)
LLobject *container;
{
	octObject o;
	struct octBox box;

	if ( ! OL_objectp(container) ) {
	    LLErrorF("\
Function: (bb container)\n\
\tobject must be an container\n\
\tobject: ~S\n\
", container);
	    LLThrow(OL_octlisp, LL_nil);
	}

	OLExtractObject(container, &o);
	OLGlobalOctStatus = octBB(&o, &box);

	return (OLGlobalOctStatus < OCT_OK ? LL_nil: OLMakeBox(box));
}
