#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHWriteTo - write the archive to another file
 *
 *    return {ARCH_ok, ARCH_notok} on {success, fail}
 */
ARCHstatus
ARCHWriteTo(arch, archivename)
ARCHarchive *arch;
String archivename;
{
	ARCHarchive tmp;
	ARCHstatus status;

	tmp = *arch;
	tmp.mode = ARCH_readwrite;
	tmp.flushP = TRUE;

	if ((tmp.fd = open(archivename, O_CREAT|O_WRONLY, 0666)) < 0)
	    return (ARCHErrno = ARCH_ESEE_ERRNO, ARCH_notok);

	status = ARCHWrite(&tmp);

	close(tmp.fd);
	return (status);
}
