#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"

#include "dyna.h"

/*
 *    DYNCopyInto - copy an array
 *
 *    to should be free before this is called
 *
 *    return nothing, just do it.
 */
void
DYNCopyInto(to, from)
DYNgeneralArray *to;
DYNgeneralArray *from;
{
	u_int size_in_bytes;

	*to = *from;
	size_in_bytes = from->nelements * from->sizeof_element;

	to->space = ALLOC_ARRAY(size_in_bytes, char);
	bcopy(from->space, to->space, size_in_bytes);
}
