#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"

#include "dyna.h"

/*
 *    DYNpAtPut - at: index put: thing
 *
 *    return nothing, just do it.
 */
void
DYNpAtPut(dyna, at, put)
DYNgeneralArray *dyna;
u_int at;
RefAny put;
{
	RefAny atput;

	DYNInsureSize(dyna, at+1);
	
	atput = &dyna->space[at * dyna->sizeof_element];

	/*
	 *    Notice things are passed by reference.
	 */
	switch (dyna->sizeof_element) {
	case sizeof (long):
	    *(long *) atput = *(long *) put;
	    break;
	case sizeof (short):
	    *(short *) atput = *(short *) put;
	    break;
	case sizeof (char):
	    *(char *) atput = *(char *) put;
	    break;
	default:
	    bcopy(put, atput, dyna->sizeof_element);
	    break;
	}
}
