#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrConcatStringWithSpace - provide a way to concatenate some strings
 *		given the space to do it in.
 *
 *    return {ptr}.
 */
String
DYNStrConcatStringWithSpace(space, arg0 /* ... */)
DYNStrgeneralString *space;
String arg0;
/* ... */
{
	DYNStrgeneralString old;
	String s;

	old = DYNStrConcatBuf;
	DYNStrConcatBuf = *space;

	s = DYNStrConcatStringv(&arg0);

	*space = DYNStrConcatBuf;
	DYNStrConcatBuf = old;

	return (s);
}
