#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNGlobOpen - fopen, but glob first.
 *
 *    return the {FILE *, or NULL} on {glob successful, fail}
 */
FILE *
FNGlobOpen(glob, mode)
String glob;
String mode;
{
	Stringv globv;

	globv = FNGlobFilename(glob);

	if (globv == NULL)
	    return (NULL);
	if (globv[1] != NULL)
	    return (FNErrno = FN_EONE, (FILE *) NULL);

	return (fopen(globv[0], mode));
}
