#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhIsCellInstanceP - the instance is a cellInstance
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
Boolean
octhIsCellInstanceP(instance)
octObject *instance;
{
	octObject INSTANCES;

	if (instance->type != OCT_INSTANCE)
	    return (FALSE);

	INSTANCES.type = OCT_BAG;
	INSTANCES.contents.bag.name = "INSTANCES";

	return (octGetContainerByName(instance, &INSTANCES) < OCT_OK ? FALSE: TRUE);
}
