#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhIsConnectorInstanceP - the instance is a connectorInstance
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
Boolean
octhIsConnectorInstanceP(instance)
octObject *instance;
{
	octObject CONNECTORS;

	if (instance->type != OCT_INSTANCE)
	    return (FALSE);

	CONNECTORS.type = OCT_BAG;
	CONNECTORS.contents.bag.name = "CONNECTORS";

	return (octGetContainerByName(instance, &CONNECTORS) < OCT_OK ? FALSE: TRUE);
}
