#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhOpenMaster - open the master of this instance
 *
 *    Because I can't remember what code uses this and what code
 *    doesn't.  Now that peter has exported this from oct, we use his.
 *
 *    Not because this is so algorithmiclly hard, but b/c its done so often.
 *
 *    return {OCTH_OK, OCTH_NOTOK} on {success, fail}
 */
octhStatus
octhOpenMaster(instance, mode, master)
octObject *instance;
String mode;
octObject *master;
{
	master->type = OCT_FACET;
	master->contents.facet.cell = instance->contents.instance.master;
	master->contents.facet.view = instance->contents.instance.view;
	master->contents.facet.facet = "contents";
	master->contents.facet.version = instance->contents.instance.version;
	master->contents.facet.mode = mode;

	return (octOpenMaster(instance, master) < OCT_OK ? OCTH_NOTOK: OCTH_OK);
}
