(validation bb
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (bb nil))
		 (error-recovery
		  (let ((prop (create facet `(object ,OCT-PROP
						     ((name . "wope")
						      (value . (1 2 3)))))))
		       (bb prop))))
  (with-genfacet (facet :readwrite)
		 (with-genfacet (master :readwrite)
				;; create some geometry in the master so that the instance
				;; will have a bounding box to inherit.
				(dolist (i 30)
					(create master `(object ,OCT-BOX
								((box . ,(box (point (* i 10) (* (1+ i) 10))
									      (point (* i 15) (* (1+ i) 15))))))))
				(let ((instance (create facet `(object ,OCT-INSTANCE
								       ((transform ,(transform (point 0 0) OCT-NO-TRANSFORM))
									(name . ,(symbol-name (gensym)))
									(master . ,(cell-of master))
									(view . ,(view-of master))
									(version . ,(version-of master))))))
				      (box (create facet `(object ,OCT-BOX
								  ((box . ,(box (point 55 99)
										(point 90 203)))))))
				      (circle (create facet `(object ,OCT-CIRCLE
								     ((center . ,(point 4 7))
								      (innerRadius . 5)
								      (outerRadius . 7)
								      (startingAngle . 0)
								      (endingAngle 900)))))
				      (edge (create facet `(object ,OCT-EDGE
								   ((start . ,(point 99 34))
								    (end . ,(point 87 234))))))
				      (label (create facet `(object ,OCT-LABEL
								    ((label . "yes this is a label")
								     (position . ,(point 88 34))))))
				      (point (create facet `(object ,OCT-POINT
								    ((point . ,(point 33 -99324))))))
				      (polygon (create facet `(object ,OCT-POLYGON
								      ((points . ,(list (point 8 0)
											(point 2 3)
											(point 4 5)))))))
				      (path (create facet `(object ,OCT-POLYGON
								   ((width . 20)
								    (points . ,(list (point 0 10)
										     (point 10 10)
										     (point 10 35)
										     (poitn 0 35))))))))
				     (dolist (ob (list facet instance box circle edge label point polygon path))

				      (
		 (let (ret
		       (TECHNOLOGY
			(create-not-attached facet
					     `(object ,OCT-PROP
						      ((name . "TECHNOLOGY")
						       (value . "scmos")))))
		       (VIEWTYPE
			(create-not-attached facet
					     `(object ,OCT-PROP
						      ((name . "VIEWTYPE")
						       (value . "SCHEMATIC")))))
		       (EDITSTYLE 
			(create-not-attached facet
					     `(object ,OCT-PROP
						      ((name . "EDITSTSYLE")
						       (value . "PHYSICAL")))))
		       (CONNECTORS
			(create-not-attached facet
					     `(object ,OCT-BAG
						      ((name . "CONNECTORS")))))
		       (INSTANCES
			(create-not-attached facet
					     `(object ,OCT-BAG
						      ((name . "INSTANCES")))))
		       (WIRING
			(create-not-attached facet
					     `(object ,OCT-LAYER
						      ((name . "WIRING")))))
		       (multi-edge
			(create-not-attached facet
					     `(object ,OCT-EDGE
						      ((start . ,(point 4 0))
						       (end . ,(point 9 33)))))))
		      (dolist (ob (list TECHNOLOGY VIEWTYPE EDITSTYLE
					CONNECTORS INSTANCES WIRING
					multi-edge multi-edge multi-edge multi-edge))
			      (setq ret (attach facet ob))
			      (format t "attach ~S -> ~S returns ~S~%" facet ob ret))
		      (format t "Containers of ~S~%" facet)
		      (do-containers (thing facet)
				     (princ thing) (terpri))
		      (format t "Average number of edges per container: ~F~%"
			      (average-number-of-attachments object #'init-gen-containers))
		      (format t "Contents of ~S~%" facet)
		      (do-contents (thing facet)
				     (princ thing) (terpri))
		      (format t "Average number of edges per content: ~F~%"
			      (average-number-of-attachments object #'init-gen-contents)))))
