(validation breadth-first-traversal
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (create facet nil))
		 (error-recovery
		  (create nil #'(lambda (obj) obj))))
  (with-genfacet (facet :readwrite)
		 (let ((width 4) (height 4))
		      (flet ((make-tree (container depth &optional (nr 0))
					(labels ((^ (k d &optional (prev 1))
						    (if (= d 0) prev (^ k (1- d) (* prev k))))
						 (bfn (depth num-row)
						      (+ (/ (1- (^ width (1- depth)))
							    (1- width))
							 num-row 1))
						 (prop (leafp number)
						       (create container
							       `(object ,OCT-PROP
									((name . ,(if (= depth height)
										      "leaf" "intermediate"))
									 (value . ,(bfn depth nr)))))))
						(dotimes (i width)
							 (let ((new-prop (prop)))
							      (if (< depth height)
								  (make-tree new-prop (1+ depth) (+ (* nr width) i))))))))
			    (let ((tree (make-tree facet breadth)))
				 (princ "Values: ")
				 (breadth-first-traversal facet
							#'(lambda (prop)
								  (if (eq OCT-PROP (object-type-of prop))
								      (print (value-of prop)))))
				 (terpri))))))
