(validation copy-facet
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (copy-facet (point 0 0) facet))
		 (error-recovery
		  (copy-facet facet (point 0 0))))
  (let ((facet-form `(object ,OCT-FACET
			     ((cell . ,(gencellname))
			      (view . ,(genname))
			      (facet . "contents")
			      (version . ,OCT-CURRENT-VERSION)
			      (mode . :readwrite)))))
       (error-recovery
	(copy-facet (point 0 0) facet-form))
       (error-recovery
	(copy-facet facet-form (point 0 0))))
  (flet ((copy-bitch (new-whatever old-whatever)
		     "copy and bitch"
		     (when (not (copy-facet new-whatever old-whatever))
			   (format t "Could not copy ~S to ~S because ~A~%"
				   old-whatever new-whatever (oct-error-string))
			   (throw 'octlisp nil))))
	(with-genfacet (old :readwrite)
		       ;; stick some terminals in it
		       (dotimes (i 10)
				(create old `(object ,OCT-TERM
						     ((name . ,(genname))
						      (instance . ,oct-null-id)))))
		       (flush-facet facet)
		       (let ((old-form (object-of facet)))
			    (let ((new-form `(object ,OCT-FACET
						     ((cell . ,(gencellname))
						      (view . ,(genname))
						      (facet . "contents")
						      (version . ,OCT-CURRENT-VERSION)
						      (mode . :readwrite)))))
				 (copy-bitch new-form old)
				 ;; get a new cellname (for a new copy)
				 (rplacd (assoc 'cell (third new-form)) (gencellname))
				 (copy-bitch new-form old-form))
			    (with-genfacet (new :readwrite)
					   (copy-bitch new old))
			    (with-genfacet (new :readwrite)
					   (copy-bitch new old-form))))))
