(validation get-by-name
  (error-recovery
   (get-by-name 4 OCT-NET "yes"))
  (with-genfacet (facet :readwrite)
		 (let ((thing (create facet `(object ,OCT-BAG ((name . ,(genname)))))))
		      (error-recovery
		       (get-by-name thing OCT-ALL-MASK "yes"))
		      (error-recovery
		       (get-by-name thing OCT-NET 5))))
  (with-genfacet (facet :readwrite)
		 (flet ((create-and-attach-it (thing object-form)
					      (create-and-attach thing object-form)))
		       (let* ((middle (create facet `(object ,OCT-BAG
							     ((name . "MIDDLE")))))
			      (bag (create-and-attach-it middle
							 `(object ,OCT-BAG
								  ((name . ,(genname))))))
			      (instance (with-genfacet (master :readwrite)
						       (create-and-attach-it middle
									     `(object ,OCT-INSTANCE
										      ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
										       (name . ,(genname))
										       (master . ,(cell-of master))
										       (view . ,(view-of master))
										       (version . ,(version-of master)))))))
			      (label (create-and-attach-it middle
							   `(object ,OCT-LABEL
								    ((label . ,(genname))
								     (position . ,(point 33 1002))))))
			      (layer (create-and-attach-it middle
							   `(object ,OCT-LAYER
								    ((name . ,(genname))))))
			      (net (create-and-attach-it middle
							 `(object ,OCT-NET
								  ((name . ,(genname))))))
			      (prop (create-and-attach-it middle
							  `(object ,OCT-PROP
								   ((name . ,(genname))
								    (value . ,(genname))))))
			      (term (create-and-attach-it middle
							  `(object ,OCT-TERM
								   ((name . ,(genname))
								    (instance . ,oct-null-id))))))
			     (dolist (ob (list bag label layer net prop term))
				     (format t "should see ~S - ~S~%"
					     ob (get-by-name middle
							     (object-type-of ob)
							     (name-of ob))))))))
