(validation get-name
  (error-recovery
   (get-name 4))
  (with-genfacet (facet :readwrite)
		 (let* ( (bag (create facet
				      `(object ,OCT-BAG
					       ((name . ,(genname))))))
			 (instance (with-genfacet (master :readwrite)
						  (create facet
							  `(object ,OCT-INSTANCE
								   ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
								    (name . ,(genname))
								    (master . ,(cell-of master))
								    (view . ,(view-of master))
								    (version . ,(version-of master)))))))
			 (label (create facet
					`(object ,OCT-LABEL
						 ((label . ,(genname))
						  (position . ,(point 33 1002))))))
			 (layer (create facet
					`(object ,OCT-LAYER
						 ((name . ,(genname))))))
			 (net (create facet
				      `(object ,OCT-NET
					       ((name . ,(genname))))))
			 (prop (create facet
				       `(object ,OCT-PROP
						((name . ,(genname))
						 (value . ,(genname))))))
			 (term (create facet
				       `(object ,OCT-TERM
						((name . ,(genname))
						 (instance . ,oct-null-id))))))
		       (dolist (ob (list bag label layer net prop term))
			       (format t "get-name ~S - ~S~%"
				       ob (get-name ob))))))
