(validation get-or-create
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (get-or-create facet nil))
		 (error-recovery
		  (get-or-create nil `(object ,OCT-BOX
					      ((box . ,(box (point 2 2) (point 2 2))))))))
  (with-genfacet (facet :readwrite)
		 (let* ((bag (get-or-create facet
					    `(object ,OCT-BAG
						     ((name . ,(genname))))))
			(box (get-or-create facet
					    `(object ,OCT-BOX
						     ((box . ,(box (point 900 234)
								   (point 934 999)))))))
			(circle (get-or-create facet
					       `(object ,OCT-CIRCLE
							((center . ,(point 9 2))
							 (innerRadius . 0)
							 (outerRadius . 100)
							 (startingAngle . 0)
							 (endingAngle . 3600)))))
			(edge (get-or-create facet
					     `(object ,OCT-EDGE
						      ((start . ,(point 3 14))
						       (end . ,(point 0 -8))))))
			(instance (with-genfacet (master :readwrite)
						 (get-or-create facet
								`(object ,OCT-INSTANCE
									 ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
									  (name . ,(genname))
									  (master . ,(cell-of master))
									  (view . ,(view-of master))
									  (version . ,(version-of master)))))))
			(label (get-or-create facet
					      `(object ,OCT-LABEL
						       ((label . ,(genname))
							(position . ,(point 33 1002))))))
			(layer (get-or-create facet
					      `(object ,OCT-LAYER
						       ((name . ,(genname))))))
			(net (get-or-create facet
					    `(object ,OCT-NET
						     ((name . ,(genname))))))
			(path (get-or-create facet
					     `(object ,OCT-PATH
						      ((width . 100)
						       (points . ,(list (point 0 0)
									(point 2 3)
									(point 4 9)
									(point 16 81)
									(point 256 6561)))))))
			(polygon (get-or-create facet
						`(object ,OCT-POLYGON
							 ((points . ,(list (point 0 0)
									   (point 0 1)
									   (point 1 2)
									   (point 2 4)
									   (point 4 8)
									   (point 8 4)
									   (point 4 2)
									   (point 2 1)))))))
			(point (get-or-create facet
					      `(object ,OCT-POINT
						       ((point . ,(point 33 -1934))))))
			(id (get-or-create facet
					   `(object ,OCT-PROP
						    ((name . ,(genname))
						     (value . ,facet)))))
			(integer (get-or-create facet
						`(object ,OCT-PROP
							 ((name . ,(genname))
							  (value . 100)))))
			(real (get-or-create facet
					     `(object ,OCT-PROP
						      ((name . ,(genname))
						       (value . .100)))))
			(string (get-or-create facet
					       `(object ,OCT-PROP
							((name . ,(genname))
							 (value . ,(genname))))))
			(integer-array (get-or-create facet
						      `(object ,OCT-PROP
							       ((name . ,(genname))
								(value . (1 2 3 4 5 6 7 8 9))))))
			(real-array (get-or-create facet
						   `(object ,OCT-PROP
							    ((name . ,(genname))
							     (value . (1 2 3.0 4 5 6 7 8 9))))))
			(stranger (get-or-create facet
						 `(object ,OCT-PROP
							  ((name . ,(genname))
							   (value . ,(cons "" (map 'list #'(lambda (x) (+ 97 x))
										   '(1 2 3 4 5 6 7 8 9))))))))
			(term (get-or-create facet
					     `(object ,OCT-TERM
						      ((name . ,(genname))
						       (instance . ,oct-null-id))))))
		       (dolist (ob (list bag box circle edge facet instance label layer net path polygon point
					 id integer real string integer-array real-array stranger term))
			       (format t "get-or-create of ~S ~S~%" ob (object-of ob))))))
