(validation init-gen-containers
  (error-recovery
   (init-gen-containers nil OCT-ALL-MASK))
  (error-recovery
   (with-genfacet (facet :readwrite)
		  (let ((gen (init-gen-containers facet 5)))
		       (format t "This should never print anything~%"))))
  (with-genfacet (facet :readwrite)
		 (let ((middle (create facet `(object ,OCT-BAG
						      ((name . "MIDDLE"))))))
		      (dotimes (i 10)
			       (attach (create-not-attached facet `(object ,OCT-PROP
									   ((name . ,(format nil "container-~D" i))
									    (value . ,(+ i)))))
				       middle))
		      (attach middle (create-not-attached `(object ,OCT-PROP
								   ((name . ,(format nil "content-~D" i))
								    (value . ,(- i)))))))
		 (format t "Ten little properties (containers)~%")
		 (do* ((gen (init-gen-containers facet OCT-PROP-MASK))
		       (o (generate gen) (generate gen))
		       (i 1 (1+ i)))
		      ((null o) . (free-generator gen))
		      (format t "Object ~D - ~S~%" i o))))
