(validation name-of
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (name-of 7))
		 (error-recovery
		  (name-of facet))
		 (error-recovery
		  (name-of (object-of facet))))
  (with-genfacet (facet :readwrite)
		 (let* ((bag (create facet
				     `(object ,OCT-BAG
					      ((name . ,(genname))))))
			(instance (with-genfacet (master :readwrite)
						 (create facet
							 `(object ,OCT-INSTANCE
								  ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
								   (name . ,(genname))
								   (master . ,(cell-of master))
								   (view . ,(view-of master))
								   (version . ,(version-of master)))))))
			(layer (create facet
				       `(object ,OCT-LAYER
						((name . ,(genname))))))
			(net (create facet
				     `(object ,OCT-NET
					      ((name . ,(genname))))))
			(prop (create facet
				      `(object ,OCT-PROP
					       ((name . ,(genname))
						(value . ,(genname))))))
			(term (create facet
				      `(object ,OCT-TERM
					       ((name . ,(genname))
						(instance . ,oct-null-id)))))
			ob-form)
		       (dolist (ob (list bag instance layer net prop term))
			       (setq ob-form (object-of ob))
			       (format t "name-of ~S ~S~%" ob (name-of ob))
			       (format t "name-of ~S ~S~%" ob-form (name-of ob-form))))))
