;;;;
;;;;    Test to see how well the NULL string can be shoved into oct
;;;;
;;;;    This used to be an oct bug, not an OctLisp bug.  It would be okay
;;;;    on a vax, but cause a core-dump on a sun.
;;;;


;;
;;    create a bunch of objects that have NULL names
;;    do this by putting nil into the cdr slot of the a-list member
;;
(let ((facet (open-facet-by-name "/tmp/fig-pudding" "physical" "contents" "" :readwrite))
      (master (open-facet-by-name "/tmp/master-fig-pudding" "physical" "contents" "" :readwrite)))
  (create facet `(object ,OCT-BAG
			 ((name . nil))))
  (create facet `(object ,OCT-INSTANCE
			 ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
			  (name . nil)
			  (master . ,(cell-of master))
			  (view . ,(view-of master))
			  (version . ,(version-of master)))))
  (create facet `(object ,OCT-LABEL
			 ((label . nil)
			  (position . ,(point 33 1002)))))
  (create facet `(object ,OCT-LAYER
			 ((name . nil))))
  (create facet `(object ,OCT-NET
			 ((name . nil))))
  (create facet `(object ,OCT-PROP
			 ((name . nil)
			  (value . nil))))
  (create facet `(object ,OCT-TERM
			 ((name . nil)
			  (instance . ,oct-null-id))))
  (close-facet facet)
  (close-facet master))
