#include "sumachine.h"

#include <sys/types.h>
#include <ctype.h>

#include "stuff.h"

/*
 *    nocase_strhash - return some hash number based on a modulus
 *
 *    return the hash number
 */
int
nocase_strhash(string, modulus)
String string;
int modulus;
{
	register char *s;
	register int val;
	register int c;
	
	val = 0;
	for (s=string, c = *s; *s != '\0'; c = *s++) {
	    if (islower(c))
		c = _toupper(c);	/* THE MACRO */
	    val = val*997 + c;
	}

	return ((val < 0 ? -val: val) % modulus);
}
