#include "sumachine.h"

#include <sys/types.h>

#include <ctype.h>

#include "stuff.h"

/*
 *    nocase_strnequal - case insensitive string comparison.
 *
 *    an int so that it doesn't have to be declared everywhere
 *
 *    return {1, 0} on {is, is not}.
 */
int
nocase_strnequal(b1, b2, n)
register u_Byte *b1;
register u_Byte *b2;
int n;
{
	register u_int c1, c2;
	int i;

	i = 0;
	while (*b1 != '\0' && *b2 != '\0' && i < n) {
	    c1 = *b1, c2 = *b2;

	    if (islower(c1))
		c1 = toupper(c1);
	    if (islower(c2))
		c2 = toupper(c2);

	    if (c1 != c2)
		return (0);
	    b1++, b2++, i++;
	}

	return (1);
}
