#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

/* AIX defines bcopy, but not bzero or bcmp */
#if OPSYS_SUBTYPE == MD_HPUX || \
	OPSYS_SUBTYPE == MD_SYS5 || \
	OPSYS_TYPE == MD_VMS /* { */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 * bcopy - copy bytes
 */
void
bcopy(from, to, size)
char *from;
char *to;
int size;
{
	memcpy(to, from, size);
}
#endif /* } */
