#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_DEC && \
	    (OPSYS_TYPE == MD_UNIX || OPSYS_TYPE == MD_VMS)) || \
	OPSYS_MFR == MD_SUN || \
	OPSYS_MFR == MD_SONY || \
	OPSYS_SUBTYPE == MD_AIX || \
	OPSYS_SUBTYPE == MD_HPUX || \
	OPSYS_SUBTYPE == MD_SYS5 /* { */
/* see mktemp.c for the apollo */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#include <sys/file.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#include <file.h>
#endif /* } */

mkstemp(as)
	char *as;
{
	register char *s;
	register unsigned int pid;
	register int fd, i;

	pid = getpid();
	s = as;
	while (*s++)
		/* void */;
	s--;
	while (*--s == 'X') {
		*s = (pid % 10) + '0';
		pid /= 10;
	}
	s++;
	i = 'a';
	while ((fd = open(as, O_CREAT|O_EXCL|O_RDWR, 0600)) == -1) {
		if (i == 'z')
			return(-1);
		*s = i++;
	}
	return(fd);
}
#endif  /* } */
