#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB && OPSYS_VERS >= MD_BSD_4_2) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
	OPSYS_MFR == MD_SUN || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE != MD_HPUX) || \
	OPSYS_MFR == MD_SONY /* { */
	/* sun DOES NOT provide this as of os 3.5 */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 * strerror - map error number to descriptive string
 *
 * This version is obviously somewhat Unix-specific.
 */
char *
strerror(errnum)
int errnum;
{
	extern int errno, sys_nerr;
	extern char *sys_errlist[];

	if (errnum > 0 && errnum < sys_nerr)
		return sys_errlist[errnum];
	else
		return "unknown error";
}
#endif /* } */
