#include "boss_int.h"


void bossRouteAdjacent( BossFacet& facet, BossInstance& inst1, BossInstance& inst2)
{
    octGenerator gen;
    octObject term;
    octObject net;

    OH_ASSERT(octInitGenContents(&inst1, OCT_TERM_MASK, &gen));
    while(octGenerate(&gen, &term) == OCT_OK) {
	if(octGenFirstContainer( &term , OCT_NET_MASK, &net) == OCT_OK) {
	    octGenerator gen2;
	    octObject term2;
	
	    OH_ASSERT(octInitGenContents(&net, OCT_TERM_MASK, &gen2));
	    while(octGenerate(&gen2, &term2) == OCT_OK) {
		if(term2.contents.term.instanceId == inst2.objectId) {
		    (void) bossTryRoute( BossTerm(term), BossTerm(term2));
		}
	    }
	}
    }
}

