#include "port.h"
#include "String.h"
#include "boss_int.h"
#include "vov.h"

static int bossInitializedFlag = 0;

void bossBegin( int argc, char** argv )
{
    if ( bossInitializedFlag == 0 ) {
	errProgramName( "boss" );
	VOVbegin( argc, argv );
	VOVinput( VOV_EXECUTABLE, String(argv[0]) );
	bossInitializedFlag = 1;
    }
}

void bossEnd( int status )
{
    VOVend( status );		/* This exits. */
    /*NOTREACHED*/
}

int bossInitialized()
{
    return bossInitializedFlag;
}
