#include "boss_int.h"

extern "C"
{
#include "symlib.h"
}

BossFormalTerm::BossFormalTerm( BossTerm& term, char *name)
{
bossMessage(form("Creating formal terminal %s",name));
octObject facet;
octGetFacet(&term , &facet);
symCreateFormalTerm(&facet, this, name);
symImplementFormalTerm(this, &term);
}

BossFormalTerm::BossFormalTerm( BossContact& cont, char *name)
{
bossMessage(form("Creating formal terminal %s",name));
octObject facet;
octGetFacet( &cont, &facet);
symCreateFormalTerm(&facet, this, name);
symImplementFormalTerm(this, &(cont.term()));
}

void bossPromote( BossTerm& term)
{
octObject facet;
octGetFacet( &term, &facet);
octObject f_term;
bossMessage(form("Promoting formal terminal %s",term.term_name()));

symCreateFormalTerm(&facet, &f_term, term.term_name());
symImplementFormalTerm( &f_term, &term);
}


