#include "boss_int.h"
extern "C"
{
#include "tap.h"
}

BossLayer::BossLayer(BossFacet& facet, char *name)
{
    octStatus stat;

    if((stat = ohGetOrCreateLayer(&facet, this, name)) < OCT_OK)
      errRaise( BOSS_PKG_NAME, 14, form("Problem getting layer %s status %d",name, stat));
}

BossLayer::BossLayer(octObject* facet, char *name)
{
    octStatus stat;

    if((stat = ohGetOrCreateLayer(facet, this, name)) < OCT_OK)
      errRaise( BOSS_PKG_NAME, 15, form("Problem getting layer %s status %d",name, stat));
}

int BossLayer::min_spacing()
{
    return tapGetMinSpacing(this, this);
}

int BossLayer::min_width()
{
    return tapGetMinWidth(this);
}

