/*LINTLIBRARY*/
#include "copyright.h"
#include "port.h"
#include "utility.h"
#include "smfont.h"

int
getfonts(fontfile)
char *fontfile;
{

	extern font *fontptr[MAXGLYPH];
	FILE *file;
	char buffer[1000];
	int num;
	int size;
	int j;
	int k;
	int flag;
	int min, max;
	int x, y;

	file = fopen(fontfile, "r");
	while(!feof(file)) {
		(void) fgets(buffer, 1000, file);
		if(feof(file)) {
		    break;
		}
		num = eval(buffer, 0, 5);
		size = eval(buffer, 5, 3);
		if(fontptr[num] != NULL) {
		    (void) printf("duplicated definition for glyph %d\n", num);
		    abort();
		}
		fontptr[num] = (font *)malloc(sizeof(font));
		k = 1;
		min = max = 0;
		for(j = 1; j < size; j++) { /* j=1 because skip first which is l, r pair */
		    if(buffer[8+j+j] != ' ') {k++;
			min = MIN(min, buffer[9+j+j]-'R');
			max = MAX(max, buffer[9+j+j]-'R');
		    }
		}
		fontptr[num]->vlist = (Vertex *) ALLOC(Vertex,  k);
		/*fontptr[num]->left = buffer[8]-'R';*/
		/*fontptr[num]->right = buffer[9]-'R';*/
		fontptr[num]->numstroke = k;
		fontptr[num]->top = min;
		fontptr[num]->bottom = max;
		fontptr[num]->vlist[0].x = 0;
		fontptr[num]->vlist[0].y = 0;
		min = max = 0;
		for(j = 1; j < size; j++) { /* j=1 because skip first which is l, r pair */
		    if(buffer[8+j+j] != ' ') {
			min = MIN(min, buffer[8+j+j]-'R');
			max = MAX(max, buffer[8+j+j]-'R');
		    }
		}
		fontptr[num]->left = min;
		fontptr[num]->right = max;
		x = y = 0;
		fontptr[num]->vlist[0].flags = 2;
		k = 1;
		flag = 0x23;
		for(j = 1; j < size; j++) {
		    if(buffer[8+j+j] != ' ') {
			fontptr[num]->vlist[k].x = buffer[8+j+j]-'R'-x;
			fontptr[num]->vlist[k].y = buffer[9+j+j]-'R'-y;
			x += fontptr[num]->vlist[k].x;
			y += fontptr[num]->vlist[k].y;
			fontptr[num]->vlist[k].flags = flag;
			k++;
			flag = 0x21;
		    } else {
			flag = 0x23;
		    }
		}
	}
}
