/*LINTLIBRARY*/
#include "copyright.h"
#include "port.h"
#include "smfont.h"

#define MAXCHAR		128

int *
loadFont(directory, fontName)
char *directory;
char *fontName;
/*
 * Loads in the font called 'fontName'
 */
{
    FILE *fontDescFile;
    int glyph, endglyph, charSpot, index;
    char ch;
    int *charArray;
    char buffer[1024];
    
    (void) sprintf(buffer, "%s/%s", directory, fontName);
    
    if ((fontDescFile = fopen(buffer, "r")) == NULL) {
	return(NULL);
    }

    charArray = (int *) malloc(sizeof(int) * MAXCHAR);
            
    charSpot = (int) ' ';
    while (!feof(fontDescFile)) {
	(void) fscanf(fontDescFile, "%d", &glyph);
	if ((ch = getc(fontDescFile)) == '-') {
	    (void) fscanf(fontDescFile, "%d", &endglyph);
	    for (index = glyph;  index <= endglyph;  index++) {
		charArray[charSpot] = index;
		charSpot++;
	    }
	} else {
	    (void) ungetc(ch, fontDescFile);
	    charArray[charSpot] = glyph;
	    charSpot++;
	}
    }
    return(charArray);
}
