/*
 *  FILE:nle.h
 *
 */
#ifndef NLE_H
#define NLE_H

#define NLE_OK 1
#define NLE_NOT_OK -1

#define NLE_SOFT 0
#define NLE_HARD 1
#define NLE_FULL 3
#define NLE_PHYSICAL 2

#define NLE_DEFAULT_TECHNOLOGY "scmos"

extern int nleMakeMacro();
extern int nleFlat();
extern int nleFlatOneInstance();
extern void nleSetUniquifier();
extern char *nleErrorString();
extern int nleFlatInstance(octObject *, octObject *, int);
#endif



