
/* bearReadLine.h --
 *
 *     George Carvalho, Esq.
 *     (Advising Professor - E. S. Kuh)
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/bearReadLine.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef _BEAR_READ_LINE_H
#define _BEAR_READ_LINE_H

#include "bearStatus.h"

#ifndef bool
#define bool int
#endif bool

#ifndef TRUE
#define TRUE    1
#define FALSE   0
#endif /* TRUE */

extern bool Bear_AllWhiteSpace(/* string */);
/*
 * char    string[];        (* IN  *)
 */

extern BearStatus Bear_ReadLine(/* line, maxLineSize, filePtr, eofFlagPtr */);
/*
 * char    line[];          (* OUT *)
 * int     maxLineSize;     (* IN  *)
 * FILE    *filePtr;        (* IN  *)
 * bool    *eofFlagPtr;     (* OUT *)
 */

#endif _BEAR_READ_LINE_H

