
/* macDCellPrim.h --
 *
 *      June Wang
 *      Wei-ming Dai
 *      (Professor E. S. Kuh)
 *
 * It declares all the operations to retrieve and update the fields in
 * a dummy cell.
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/macDCellPrim.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef _MAC_DCELL_PRIM
#define _MAC_DCELL_PRIM

extern DCellClass Mac_GetClassOfDCell(/* dcellPtr */);
/*
 * DummyCell    *dcellPtr;
 */

extern void Mac_PutClassOfDCell(/* class, dcellPtr */);
/*
 * DCellClass  class;
 * DummyCell    *dcellPtr;
 */

extern BearId Mac_GetIdOfDCell(/* dummyCellPtr */);
/*
 *  DummyCell   *dummyCellPtr;
 */

extern void Mac_PutIdOfDCell(/* id, dummyCellPtr */);
/*
 *  BearId      id;
 *  DummyCell   *dummyCellPtr;
 */

extern Rect *Mac_GetShapeOfDCell(/* dummyCellPtr */);
/*
 *  DummyCell   *dummyCellPtr;
 */

extern void Mac_PutShapeOfDCell(/* shapePtr, dummyCellPtr */);
/*
 *  Rect        *shapePtr;
 *  DummyCell   *dummyCellPtr;
 */

extern Rect *Mac_GetBBoxOfDCell(/* dummyCellPtr */);  
/*
 * DummyCell    *dummyCellPtr;
 */

extern void Mac_PutBBoxOfDCell(/* bboxPtr, dummyCellPtr */);  
/*
 * Rect         *bboxPtr;
 * DummyCell    *dummyCellPtr;
 */

extern Tile *Mac_GetTileOfDCell(/* dcellPtr */);
/*
 * DummyCell    *dcellPtr;
 */

extern void Mac_PutTileOfDCell(/* tilePtr, dcellPtr */);
/*
 * Tile        *tilePtr;
 * DummyCell   *dcellPtr;
 */

#endif _MAC_DCELL_PRIM

