
/* macPortItr.h --
 *
 *      June Wang
 *      Wei-ming Dai
 *      (Prof. E. S. Kuh)
 *
 * It declares all the iterators related to ports.
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/macPortItr.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef _MAC_PORT_ITR
#define _MAC_PORT_ITR

extern BearStatus Mac_ItrInstOfPortOfCell(/* masterPtr, func, clientData */);
/*
 * PortMaster *masterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrInstOfPortOfNet(/* masterPtr, func, clientData */);
/*
 * PortMaster *masterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPinOfPortInst(/* portInstPtr, func, clientData */);
/*
 * PortInst   *portInstPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrEleEqvOfCell(/* cellInstPtr, func, clientData */);
/*
 * CellInst   *cellInstPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPortOfEleEqv(/* eleEqvPtr, func, clientData */);
/*
 * LinkedPort *eleEqvPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrFeedThrOfCell(/* cellInstPtr, func, clientData */);
/*
 * CellInst   *cellInstPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPortOfFeedThr(/* feedThrPtr, func, clientData */);
/*
 * LinkedPort *feedThrPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

#endif _MAC_PORT_ITR

