
/*
 * topChDecomposer.h --
 *
 * Routines to ...
 *
 * Copyright (C) 1987 Regents of the University of California
 * All rights reserved.
 *
 * rcsid "$Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/topChDecomposer.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $"
 */

#ifndef	_TOP_CH_DECOMPOSER
#define	_TOP_CH_DECOMPOSER

#ifndef	_MAGIC
int err0 = Need_to_include_magic_header;
#endif	_MAGIC
#define TOPCHDECOMPOSER

/* data structures */

typedef enum _ChannelType
{
    HORZ_CHANNEL,
    VERT_CHANNEL,
    TOP_LEFT_L_CHANNEL,
    TOP_RIGHT_L_CHANNEL,
    BOTTOM_LEFT_L_CHANNEL,
    BOTTOM_RIGHT_L_CHANNEL
} ChannelType;

typedef struct _StraightChannel
{
    WallJunction *tlEndJunct;
    WallJunction *brEndJunct;
} StraightChannel;

typedef struct _LShapedChannel
{
    WallJunction *cornerJunct;
    WallJunction *vEndJunct;
    WallJunction *hEndJunct;
} LShapedChannel;

typedef struct _Channel
{
    ChannelType type;
    union
    {
        StraightChannel   straightChannel;
        LShapedChannel    lShapedChannel;
    } channelUn;
} Channel;

/* procedures */

extern void
Tcd_FindIndepChannel(/* parentCellPtr, channelStackPtr, channelQuePtr */);
/*
 * CellMaster   *parentCellPtr;
 * Stack        *channelStackPtr;
 * Deque        *channelQuePtr;
 */

extern BearStatus Tcd_RRDO(/* fpgPtr, channelStackPtr */);
/*
 * FloorPlanGraph   *fpgPtr;
 * Stack            *channelStackPtr;
 */

/* constants */

#endif	_TOP_CH_DECOMPOSER

