
/*
 * tpPaint.h --
 *
 *     (Prof. E. S. Kuh)
 *
 * Copyright (C) 1987 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Include/tpPaint.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef TP_PAINT
#define TP_PAINT

extern bool Tp_PaintGCell(/* gcellPtr, planeDataPtr */);
/*
 * struct _GenericCell  *gcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern void Tp_PaintGCellOnHorzPlane(/* gcellPtr, planeDataPtr */);
/*
 * struct _GenericCell  *gcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern void Tp_PaintGCellOnVertPlane(/* gcellPtr, planeDataPtr */);
/*
 * struct _GenericCell  *gcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern void Tp_UnpaintGCell(/* gcellPtr, planeDataPtr */);
/*
 * struct _GenericCell  *gcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern BearStatus Tp_PaintDCell(/* dcellPtr, planeDataPtr */);
/*
 * struct _DummyCell    *dcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern BearStatus Tp_PaintDCellOnHorzPlane(/* dcellPtr, planeDataPtr */);
/*
 * struct _DummyCell    *dcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern BearStatus Tp_PaintDCellOnVertPlane(/* dcellPtr, planeDataPtr */);
/*
 * struct _DummyCell    *dcellPtr;
 * PlaneData            *planeDataPtr;
 */

extern BearStatus Tp_UnpaintDCell(/* dcellPtr, planeDataPtr */);
/*
 * struct _DummyCell    *dcellPtr;
 * PlaneData            *planeDataPtr;
 */

#ifdef USE_DR_CODE
extern void Tp_PaintRing(/* ringPtr, planeDataPtr */);
/*
 * Ring        *ringPtr;
 * PlaneData   *planeDataPtr;
 */
#endif /* USE_DR_CODE */

#endif /* TP_PAINT */

