
/* mac.h --
 *
 *     George Carvalho, Esq.
 *     Wei-ming Dai
 *     June Wang
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Installed/mac/mac.h,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $
 */

#ifndef _MAC
#define _MAC /* once-only latch */

#ifndef _MAGIC
int err1 = Need_to_include_magic_header;
#endif /* _MAGIC */

#ifndef _GEOMETRY
int err2 = Need_to_include_geometry_header;
#endif /* _GEOMETRY */

#ifndef _BEAR
int err3 = Need_to_include_bear_header;
#endif /* _BEAR */

#ifndef _TILES
int err4 = Need_to_include_tile_header;
#endif /* _TILES */

#ifndef _FPG
int err5 = Need_to_include_fpg_header;
#endif /* _FPG */

#ifndef _GT_GRAPH
int err6 = Need_to_include_gtGraph_header;
#endif /* _GT_GRAPH */

#ifndef _TILEPROP
int err7 = Need_to_include_tileProp_header;
#endif /* _TILEPROP */


#define MAC_MOD_NAME "mac"


#include "ansi.h"
#include "st.h"
#include "pgRoute.h"

#include "macBBL.h"
#include "macHash.h"
#include "macHelper.h"
#include "macMisc.h"
#include "macTech.h"
#include "macTechPrim.h"
#include "macPrint.h"
#include "macGeometry.h"
#include "macCell.h"
#include "macCellGroup.h"
#include "macPort.h"
#include "macPin.h"
#include "macNet.h"
#include "macRCell.h"
#include "macRing.h"
#include "macRPin.h"
#include "macDCell.h"
#include "macGCell.h"
#include "macGPin.h"
#include "macGPinPrim.h"
#include "macPortPrim.h"
#include "macPortItr.h"
#include "macPinPrim.h"
#include "macPinItr.h"
#include "macNetPrim.h"
#include "macNetItr.h"
#include "macCellPrim.h"
#include "macCellItr.h"
#include "macRCellPrim.h"
#include "macRingPrim.h"
#include "macRCellItr.h"
#include "macRingItr.h"
#include "macRPinPrim.h"
#include "macDCellPrim.h"
#include "macDCellItr.h"
#include "macGCellPrim.h"

#endif _MAC

