
/* laLinAssign.h --
 *
 *     (Advising Professor E. S. Kuh)
 *
 * Copyright (C) 1990 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/Installed/newP/laLinAssign.h,v 1.1.1.1 2002/12/31 15:51:10 saj Exp $
 */

#ifndef _LIN_ASSIGN_H
#define _LIN_ASSIGN_H /* once-only latch */

#define LA_INFINITE_COST    1000000
#define LA_SMALL_COST       5
#define LA_MAX_CAP          1
#define LA_MAX_ITERATION    2


typedef struct _La_CostEntry La_CostEntry;
struct _La_CostEntry {
    int value;
};

typedef struct _La_CostMatrix La_CostMatrix;
struct _La_CostMatrix {
    unsigned int    nrows;  /* number of rows                               */
    unsigned int    ncols;  /* number of columns                            */
    unsigned int    nelems; /* number of elements (nrows * ncols + 1)       */
    La_CostEntry    *cost;
};


extern BearStatus La_LinAssign();

#endif _LIN_ASSIGN_H

