
/* routeDBInt.h --
 *
 *     Wei-Ming Dai
 *     (Professor E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: /home/cvs/octtools/src/BearFP-1.1/src/routeDB/routeDBInt.h,v 1.1.1.1 2002/12/31 15:51:09 saj Exp $
 */

#ifndef _ROUTE_DB_INT
#define _ROUTE_DB_INT

/* ---------- Internal procedures for the routeDB module ---------- */

extern BearStatus
RdbNewTermcon(/* tptr, procjuns, procsegs,
               * rJunctClientData, rSegmClientData
               */);
/*
 * term       *tptr;
 * int        (*procjuns)(); 
 * int        (*procsegs)();
 * ClientData rJunctClientData;
 * ClientData rSegmClientData;
 */


extern BearStatus
RdbNewJuncon(/* jptr, procjuns, procsegs,
              * rJunctClientData, rSegmClientData
              */);
/*
 * rjun       *jptr;
 * int        (*procjuns)(); 
 * int        (*procsegs)();
 * ClientData rJunctClientData;
 * ClientData rSegmClientData;
 */

extern BearStatus RdbGetDesignRules(/* rcellType, designRulesPtr */);
/* 
 * RCellType rcellType;
 * struct designrl *designRulesPtr;
 */

#endif _ROUTE_DB_INT

