#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLEql - see if the two are eql
 *
 *    return the result
 */
LLobject *
LLEql(first, second)
LLobject *first;
LLobject *second;
{
	if (LL_type_of(first) != LL_type_of(second))
	    return (LL_nil);

	if (LL_stringp(first))
	    return (first->value.a_string == second->value.a_string ? LL_t: LL_nil);
	if (LL_realp(first))
	    return (first->value.a_real == second->value.a_real ? LL_t: LL_nil);
	
	return (LL_eq(first, second) ? LL_t: LL_nil);
}
