#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLLength - length
 *
 *    (length sequence)
 *
 *    return the length
 */
LLobject *
LLLength(sequence)
LLobject *sequence;
{
	if (LL_null(sequence))
	    return (LLMakeInteger(0));

	if (LL_type_of(sequence)->sequence == NULL) {
	    LLErrorF("\
Function: (length sequence)\n\
\tsequence is not a sequence\n\
\tform: ~S\n\
", sequence);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return ((*LL_type_of(sequence)->sequence->length)(sequence));
}
