#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLMacrofunction - macro-function
 *
 *    (macro-function symbol)
 *
 *    return {t, nil}
 */
LLobject *
LLMacrofunction(symbol)
LLobject *symbol;
{
	if ( ! LL_symbolp(symbol) ) {
	    LLErrorF("\
Function: (macro-function symbol)\n\
\tsymbol is not a symbol\n\
\tsymbol: ~S\n\
", symbol);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return (LL_macrop(symbol->value.a_symbol.value) || 
		LL_macro_closurep(symbol->value.a_symbol.value) ?
		LL_t: LL_nil);
}
