#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLMakesymbol - make-symbol
 *
 *    (make-symbol string)
 *
 *    return the symbol
 */
LLobject *
LLMakesymbol(string)
LLobject *string;
{
	if ( ! LL_stringp(string) ) {
	    LLErrorF("\
Function: (make-symbol string)\n\
\tstring is not a string\n\
\tstring: ~S\n\
", string);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return (LLMakeUninternedSymbol(string->value.a_string));
}
