#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLOblist - return a copy of the oblist
 *
 *    return the oblist
 */
LLobject *
LLOblist()
{
	st_generator *g;
	LLstring s;
	LLobject *o, *tmp, *last, *ret;

	ret = LL_nil;
	last = LL_nil;

	g = st_init_gen(LLMachine.oblist);
	while (st_gen(g, &s, &o)) {
	    tmp = LLCons(o, LL_nil);
	    if (LL_null(ret))
		ret = tmp;
	    else
		LL_rplacd(last, tmp);
	    last = tmp;
	}
	st_free_gen(g);

	return (ret);
}
