#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLRplaca - rplace the car
 *
 *    (rplaca cons value)
 *
 *    return the cons
 */
LLobject *
LLRplaca(cons, value)
LLobject *cons;
LLobject *value;
{
	if ( ! LL_consp(cons) )  {
	    LLErrorF("\
Function: (rplaca cons value)\n\
\tcons is not a cons\n\
\tcons: ~S\n\
\tvalue: ~S\n\
", cons, value);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	LL_rplaca(cons, value);
	return (cons);
}
