#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLSet - set
 *
 *    (set var form)
 *
 *    return the value
 */
LLobject *
LLSet(symbol, value)
LLobject *symbol;
LLobject *value;
{
	if ( ! LL_symbolp(symbol) ) {
	    LLErrorF("\
Form: (set symbol value)\n\
\tsymbol is not a symbol\n\
\tsymbol: ~S\n\
\tvalue:  ~S\n\
", symbol, value);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	LLSetValue(symbol, LL_valueSlot, value, LL_environment);
	return (value);
}
