#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LLSpecialformp - special-form-p
 *
 *    (special-form-p symbol)
 *
 *    return {t, nil}
 */
LLobject *
LLSpecialformp(symbol)
LLobject *symbol;
{
	if ( ! LL_symbolp(symbol) ) {
	    LLErrorF("\
Function: (special-form-p symbol)\n\
\tsymbol is not a symbol\n\
\tsymbol: ~S\n\
", symbol);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return (LL_special_formp(symbol->value.a_symbol.value) ? LL_t: LL_nil);
}
