#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHBlankSlashPad - slash followed by a blank pad ...
 *
 *    The slash business is only for the goddamned apollo
 *    which somehow thinks its different than every other
 *    system ever built by requiring a slash after the
 *    filename instead of just a blank.  A cute idea, but
 *    DIFFERENT THAN ALL OTHER SYSTEMS!
 *
 *    return nothing, just do it.
 */
void
ARCHBlankSlashPad(field, size)
char *field;
int size;
{
	int i;
	char *f;

#if OPSYS_MFR == MD_SUN && CPU_TYPE == MD_I386 || \
	OPSYS_MFR == MD_APOLLO || \
	OPSYS_SUBTYPE == MD_AIX || \
        OPSYS_SUBTYPE == MD_HPUX || \
        OPSYS_SUBTYPE == MD_SYS5 /* { */
	for (f=field, i=0; *f != '\0' && i < size; f++, i++)
	    ;

	if (i < size)	/* i had BETTER be < size */
	    *f = '/';
#endif /* } */

	/* then blank pad it */
	ARCHBlankPad(field, size);
}
