#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHClose - close down the archive
 *
 *    Flush as necessary
 *
 *    return {ARCH_ok, ARCH_notok} on {success, fail}
 */
ARCHstatus
ARCHClose(arch)
ARCHarchive *arch;
{
	if (arch->flushP && ARCHWrite(arch) == ARCH_notok)
	    return (ARCH_notok);

	return (ARCHFree(arch));
}
