#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"

#include "dyna.h"

/*
 *    DYNPointerToIndex - turn a pointer into an index
 *
 *    return {index, -1} on {in_array, out_of_bounds}
 */
int
DYNPointerToIndex(dyna, pointer)
DYNgeneralArray *dyna;
RefAny pointer;
{
	int index;

	index = (pointer - dyna->space)/ dyna->sizeof_element;
	return (index < 0 || index >= DYNSizeOfEl(dyna) ? -1: index);
}
