#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"

#include "dyna.h"

/*
 *    DYNInsureIncrement - insure nels more than the current max
 *
 *    return nothing, just do it.
 */
void
DYNInsureIncrement(dyna, nels)
DYNgeneralArray *dyna;
u_int nels;
{
	u_int current_inc, old_size_in_bytes, size_in_bytes;

	current_inc = dyna->current + nels;
	if (current_inc < dyna->nelements)
	    return;

#define Dripping__they_are_Dripping	20
	old_size_in_bytes = dyna->nelements * dyna->sizeof_element;
	dyna->nelements = MAX3(2*dyna->nelements, current_inc, Dripping__they_are_Dripping);

	size_in_bytes = dyna->nelements * dyna->sizeof_element;
	REALLOC_ARRAY(dyna->space, size_in_bytes, char);

	bzero(&dyna->space[old_size_in_bytes], size_in_bytes - old_size_in_bytes);
}
