#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrAppendC - append a char
 *
 *    return nothing, just do it.
 */
void
DYNStrAppendC(sp, c)
DYNStrgeneralString *sp;
char c;
{
	if (sp->array.current+1 >= sp->array.nelements)
	    DYNInsureIncrement(&sp->array, 1);

        DYNStrAtPut(sp, DYNStrLength(sp), c);
        DYNStrSetTail(sp, DYNStrLength(sp)+1);
}
