#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrConcatStringv - provide a way to concatenate some strings.
 *
 *    WATCHOUT - think about what happens when you ConcatStringv
 *    some thing on top of itself.  At present this works because 
 *    nobody stores into DYNStrConcatBuf before the copy, and strcpy(s, s)
 *    works.
 *
 *    return {ptr}.
 */
String
DYNStrConcatStringv(sv)
Stringv sv;
{
	register int i;
	
	DYNStrInitClear(&DYNStrConcatBuf);

	for (i=0; sv[i] != NULL; i++)
	    DYNStrAppendString(&DYNStrConcatBuf, sv[i]);

	return (DYNStrTheString(&DYNStrConcatBuf));
}
