#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrConcatStringvWithSpace - provide a way to concatenate some strings
 *		given the space to do it in.
 *
 *    return {ptr}.
 */
String
DYNStrConcatStringvWithSpace(space, sv)
DYNStrgeneralString *space;
Stringv sv;
{
	DYNStrgeneralString old;
	String s;

	old = DYNStrConcatBuf;
	DYNStrConcatBuf = *space;

	s = DYNStrConcatStringv(sv);

	*space = DYNStrConcatBuf;
	DYNStrConcatBuf = old;

	return (s);
}
