#include <sys/types.h>
#include <strings.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrPrependNChars - prepend nchars
 *
 *    return nothing, just do it.
 */
void
DYNStrPrependNChars(sp, nc, nnc)
DYNStrgeneralString *sp;
char *nc;
int nnc;
{
	String slide,
	       the_s;
	int the_ns;

	if (sp->array.current+nnc >= sp->array.nelements)
	    DYNInsureIncrement(&sp->array, nnc);

	the_s = DYNStrTheString(sp);
	the_ns = DYNStrLength(sp);
	for (slide = &the_s[the_ns]; slide >= the_s; slide--)
	    slide[nnc] = slide[0];

	strncpy(the_s, nc, nnc);
	/* sp->null_terminatedP = TRUE; - can't b/c you haven't */

	DYNSetCurrent(&(sp)->array, DYNSizeOfEl(&(sp)->array)+nnc);
}
