#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"
#include "path.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNResolveAgainstPath - resolve against the char separated path
 *
 *    return the resolved path in a static area.
 */
String
FNResolveAgainstPath(against, condition, path, separator)
String against;
int condition;		/* same arg as to access (2) */
String path;
char separator;
{
	PATHgen gen;
	String component;

	DYNStrInitClear(&FNPathResolutionBuf);
	
	gen = PATHStart(path, separator);
	while (PATHNext(gen, &component) != PATH_eof) {
	    DYNStrClear(&FNPathResolutionBuf);

	    DYNStrAppendString(&FNPathResolutionBuf, component);
	    DYNStrAppendC(&FNPathResolutionBuf, '/');
	    DYNStrAppendString(&FNPathResolutionBuf, against);

	    if (access(DYNStrTheString(&FNPathResolutionBuf), condition) == 0)
		return (DYNStrTheString(&FNPathResolutionBuf));
	}
	PATHFinish(gen);

	return (FNErrno = FN_ERESOLVE, (String) NULL);
}
