;;;;(
;;;;    rcs - handle RCS functions
;;;;
;;;;    This should be included literally in the source file somewhere
;;;;

(defun rcs (symbol)
  "use the symbol as a key to what to pick out of rcs-list,
  and then remove the leading and trailing $ signs
  symbol should be 'revision, 'date, 'author or 'source"
  (let ((rcs-list '((Revision . "$Revision: 1.1.1.1 $")
		    (Date . "$Date: 2002/12/31 15:50:57 $")
		    (Author . "$Author: saj $")
		    (Source . "$Source: /home/cvs/octtools/src/LightLisp/src/lightlisp/LightLisp/rcs.ll,v $"))))
       (let ((item (assoc symbol rcs-list))
	     string)
	    (when (null item)
		  (format t "Function (rcs symbol)~%    ~
			  where symbol is Revision, Date, Author, or Source~%    ~
			  symbol: ~S~%" symbol)
		  (throw 'lightlisp nil))
	    (setq string (cdr item))
	    (subseq string 1 (1- (length string))))))
