;;;;
;;;;    The cons-per-second benchmark
;;;;
;;;;    See how fast the raw-cons speed is.
;;;;

(defconstant big 100000)

(defun cons-up (n)
  "cons up something"
  (dotimes (i n)
	   (cons 1 1)))

(format t "Cons-per-second~%~
  should take about 10-15 seconds for ~D raw conses~%" big)
(time (cons-up big))

(defun cons-per-second (seconds)
  "calculate the cons-per-second"
  (/ big seconds))

(format t "Execute the following: (cons-per-second <seconds>)~%")
