(validate or
  (format t "result1 ~S~%"
	  (or t t t t t))
  (format t "result2 ~S~%"
	  (or t t t t 4.5))
  (format t "result3 ~S~%"
	  (or))
  (format t "result4 ~S~%"
	  (or (car (cons 'a ()))	; tests that (or ... ) returns on first success 
	      (rplaca nil 1)))
  
  (defun printer-tester (print-function &rest objects)
	 (let ((exercise #'(lambda (object stream)
				   (princ "without stream - ")
				   (funcall print-function object)
				   (terpri)
				   
				   (princ "with stream - ")
				   (funcall print-function object stream)
				   (terpri)
				   
				   (catch 'lightlisp
					  (princ "with bogus stream - ")
					  (funcall print-function object 4)
					  (terpri)))))
	      (dolist (o objects)
		      (funcall exercise o *standard-output*)))))
