;;;;(
;;;;    Demonstrate what printing looks like
;;;;

(defconstant objects
  (list 1 1.1
	"a string"
	*standard-output*
	#'car
	nil
	'(a b c d e f g h i j k l m n o p q r s t u v w x y z
	    A B C D E F G H I J K L M N O P Q R S T U V W X Y Z)
	'((a . b) (c . d) (e . f) (g . h))
	'(apple (papple bananana yipple papple fopple ) cherry)
	'(halibut (m (car eyes) (cdr eyes))
		  ((f1 (count-scales f1)) (f2 (count-scales f2)))
		  my-favorite-tail)
	'(A list `(with some backquoted ,stuff and  ,o ther stuff))
	'(catch 'lightlisp
		(princ "Expect an error...")
		(terpri)
		(halibut my-favorite-head
			 ((f1 (count-scales f1)) (f2 (count-scales f2)))
			 my-favorite-tail))
	'(a list (a gist) for this is it
	    `((type . ,type) (class . ,class) (name . ,name))
	    `((type . ,@type-list) (class . ,@class-list) (name . ,@name-list))
	    (#'car #'boat #'train)
	    'car 'boat 'train))
  "some fairly hairy printing examples concentrating mostly
  on the lists")

(dolist (printer (list #'prin1 #'princ #'print #'pprint))
  (format t "Printer: ~S~%------------------------------~%~%" printer)
  (dolist (atom objects)
	  (funcall printer atom))
  (terpri)
  (terpri)
  (terpri))
