#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLAtsign_tr - give an error for being outside of a `
 *
 *    @form as in ,@form
 *
 *    return {t, nil} on {tail-recursive, non-tail-recursive} (ha ha)
 */
LLobject *
LLAtsign_tr(arguments, environment)
LLobject **arguments;		/* value/return */
LLobject **environment;		/* value/return */
{
	LLErrorF("\
Error: atsign used outside of backquote/comma\n\
");
	LLThrow(LL_lightlisp, LL_nil);
	/*NOTREACHED*/
}
