#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

Boolean LLCaseSensitivityP = FALSE;	/* read at LLInitialize time */

st_table *LLSymbolTable;
st_table *LLStringTable;

LLstring LLLightLisp = "lightlisp";
LLstring LLLambda = "lambda";
LLstring LLAndOptional = "&optional";
LLstring LLAndRest = "&rest";
LLstring LLAndBody = "&body";

LLmachine LLMachine;

int LLMaxBlocks;
LLheap LLHeap;

/*
 *    Global variables
 *    to allow the catcher macros to manipulate them
 */
LLcatcher LLPreCatcher;
LLobject *LLCaughtValue;

LLobjectType *LLNilCell;
LLobjectType *LLIntegerCell;
LLobjectType *LLRealCell;
LLobjectType *LLStringCell;
LLobjectType *LLSymbolCell;
LLobjectType *LLTypeCell;
LLobjectType *LLFunctionClosureCell;
LLobjectType *LLMacroClosureCell;
LLobjectType *LLConsCell;
LLobjectType *LLFunctionCells[LL_MAXARGS][LL_MAXARGS][ /* &rest or not */ 2];
LLobjectType *LLMacroCell;
LLobjectType *LLSpecialFormCell;
LLobjectType *LLDistinguishedCell;
LLobjectType *LLDeadCell;
LLobjectType *LLStreamCell;
LLobjectType *LLDeadCell;
LLobjectType *LLGarbageCell;
