#include <sys/types.h>
#include <stdio.h>
#include <setjmp.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLGetStats - get memory stats
 *
 *    return nothing, just do it.
 */
void
LLGetStats(stats)
LLstats *stats;			/* return */
{
	LLblock b;	/* for sizeof */

	stats->totalHeapBytes = LLHeap.nblocks * sizeof (b) * 2;
	stats->totalCells = LLHeap.nblocks * sizeof_el (b.subheap);
	stats->cellsUsed = LLHeap.halves[LLHeap.this].used;
	stats->cellsFree = stats->totalCells - stats->cellsUsed;;
	stats->maximumCellsAllowed = LLMaxBlocks * 2 * sizeof_el (b.subheap);
}
