#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLInternSymbol - intern a symbol
 *
 *    return the new symbol
 */
LLstring
LLInternSymbol(presymbol)
String presymbol;		/* may not be NULL */
{
	LLstring symbol;

	if (st_lookup(LLSymbolTable, presymbol, &symbol))
	    return (symbol);

	symbol = COPY_STRING(presymbol);
	LLHeap.nstringb += strlen(symbol)+1;		/* +1 for the '\0' */

	st_add_direct(LLSymbolTable, symbol, symbol);

	return (symbol);
}
