#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeInteger - create a new integerCell
 *
 *    return the integer cell
 */
LLobject *
LLMakeInteger(integer)
int integer;
{
	LLobject *integerCell, *new;

	if (st_lookup(LLMachine.integers, integer, &integerCell))
	    return (integerCell);

	new = LLMakeObject();

	new->type = LLIntegerCell;
	new->value.a_integer = integer;
	new->type->count++;

	st_add_direct(LLMachine.integers, integer, new);

	return (new);
}
