#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeStream - create a new streamCell
 *
 *    return the stream cell
 */
LLobject *
LLMakeStream(stream)
STREAM *stream;
{
	LLobject *streamCell, *new;

	if (st_lookup(LLMachine.streams, stream, &streamCell))
	    return (streamCell);

	new = LLMakeObject();

	new->type = LLStreamCell;
	new->value.a_stream = stream;
	new->type->count++;

	st_add_direct(LLMachine.streams, stream, new);

	return (new);
}
