#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeType - create a new typeCell
 *
 *    return the type cell
 */
LLobject *
LLMakeType(type)
LLobjectType *type;
{
	if (LL_null(type->object)) {
	    LLErrorF("\
INTERNAL ERROR\n\
\tcannot make a type for ~S\n\
", type->pname);
	    LLThrow(LL_lightlisp, LL_nil);
	}

	return (type->object);		/* rather trivial huh... */
}
