#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "machine.h"
#include "printer.h"
#include "internal.h"

/*
 *    LLMakeHandle - make a handle
 *
 *    value of a handle is (value . environment)
 *
 *    return the handle
 */
LLhandle
LLMakeHandle(value, environment)
LLobject *value;
LLobject *environment;	/* the lexical environment */
{
	static int count = 0;		/* NEVER reset this */
	LLobject *genvar;

	genvar = LLCons(value, environment);
	st_add_direct(LLMachine.handles, ++count, genvar);

	return ((LLhandle) count);
}
