#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "path.h"
#include "internal.h"

/*
 *    PATHStart - start a generator on the path
 *
 *    return nothing, just do it.
 */
PATHgen
PATHStart(path, sep)
String path;
char sep;
{
	PATHrealGen *realgen;

	realgen = ALLOC_TYPE(PATHrealGen);

	DYNInit(&realgen->buf, char);		/* free later */
	DYNInsureSize(&realgen->buf, strlen(path)+1);

	strcpy(DYNTheArray(&realgen->buf, char), path);
	realgen->separator = sep;

	realgen->this = DYNTheArray(&realgen->buf, char);
	if (PATHNextGivenSep(realgen->this, sep, &realgen->next) == PATH_eof)
	    realgen->next = NULL;
	realgen->fillup = NULL;

	return ((PATHgen) realgen);
}
