#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>
#include <ctype.h>
#include <varargs.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "printer.h"
#include "internal.h"

/*
 *    LL_Print_Uninitialize - uninitialize the printer
 *
 *    return {LL_ok, LL_notok} on {success, fail}
 */
LLstatus
LL_Print_Uninitialize()
{
	STREAMDestroy(LLStandardStream);
	STREAMDestroy(LLErrorStream);

	return (LL_ok);
}
