#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "stream.h"

#include "internal.h"

/*
 *    STREAMUngetc - unget a character
 *
 *    Note the args are backwards from stdio (on purpose)
 *
 *    return nothing, just do it.
 */
void
STREAMUngetc(stream, c)
STREAM *stream;
char c;
{
	int len;

	if (c == (char) EOF)
	    return;

	if ((len = DYNStrLength(&stream->unget)) > 0)
	    stream->input.last = DYNStrAt(&stream->unget, len-1);
	else
	    stream->input.last = EOF;

	if (c == '\n')
	    stream->debits--;

	STREANUncount(&stream->input, c);
	
	/*
	 *   Even STREAM_void stream.have an unget buffer
	 */
	DYNStrAppendC(&stream->unget, c);
}
