#if ! defined(bit_h)
#define bit_h

#ifdef INCLUDE_HEADER
/*
 *    			RCS Control Information:
 *    $Author: saj $				
 *    $Date: 2002/12/31 15:50:57 $
 *
 *    $Revision: 1.1.1.1 $		
 *    $Source: /home/cvs/octtools/src/LightLisp/src/stuff/bit.h,v $
 *    $State: Exp $
 */
#endif INCLUDE_HEADER

/*
 *    Bit manipulators
 *
 *    If you need bigger bit arrays, see <sys/types.h>
 */
#define Bit(b)				( 1 << (b) )
extern int BitMask();

#define BitSetBit(what, b)		( (what) |= Bit(b) )
#define BitUnSetBit(what, b)		( (what) &= ~Bit(b) )
#define BitAssignBit(what, b, p)	((p) ? BitSetBit(what, b): BitUnSetBit(what, b))

#define BitSetMask(what, mask)		( (what) |= (mask) )
#define BitUnSetMask(what, mask)	( (what) &= ~(mask) )
#define BitAssignMask(what, mask, p)	((p) ? BitSetMask(what, mask): BitUnSetMask(what, mask))

#define BitSetP(what, b)		( ((what) & Bit(b)) == Bit(b) )
#define BitMaskSetP(what, mask)		( ((what) & (mask)) == (mask) )
#define BitAnySetP(what, mask)		( ((what) & (mask)) != 0 )

typedef long BitArray;

#endif /* bit_h */
