#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "valid.h"

/*
 *    DynamicP - determine if this is a pointer in the heap
 *
 *    Don't call sbrk or brk at all in here except for initialization.
 *    Its just too expensive
 *
 *    return {TRUE, FALSE}
 */
Boolean
DynamicP(ptr)
RefAny ptr;
{
	return ((int) ptr > end && ptr <= sbrk(0) ? TRUE: FALSE);
}
