#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include <ctype.h>

#include "stuff.h"
#include "alloc.h"

#include "toargv.h"

/*
 *    NewlinesToArgv - return a copy of the argv
 *
 *    Turn a string with newlines in it to an argv
 *
 *    return the argv.
 */
Stringv
NewlinesToArgv(newlines)
String newlines;
{
	int i, count;
	String n, o;
	Stringv argv;

	for (n=newlines, count=1; *n != '\0'; n++)	/* count=1 for 0th line */
	    count += n[0] == '\n' && n[1] != '\0';

	argv = ALLOC_ARRAY(count+1, String);
	argv[count] = NULL;

	for (i=0, n=newlines, o=newlines; i<count; i++) {
	    if ((o = index(n, '\n')) != NULL)
		*o = '\0';

	    argv[i] = COPY_STRING(n);

	    if (o != NULL) {
		*o = '\n';
		n = &o[1];
	    }
	}
	
	return (argv);
}
