#include "sumachine.h"

#include <sys/types.h>
#include <time.h>		/* not sys/time.h */
#include <stdio.h>

#include "untime.h"

/*
 * Routine to convert a struct tm format date back into
 * a system format date.
 *
 *	Use a binary search.
 */

/*
 *    struct tm *
 *    maketime(time)
 *    time_t *time;	- value
 *
 *    localtime and gmtime are suitable
 */
time_t 
UnStructTm(dp, maketime)
struct tm *dp;
struct tm *(*maketime)();
{
	time_t conv;
	register int i, bit;
	struct tm dcopy;

	dcopy = *dp;
	dp = &dcopy;
	conv = 0;
	for (i = 30; i >= 0; i--) {
		bit = 1 << i;
		conv |= bit;
		if (dcmp((*maketime)(&conv), dp) > 0)
			conv &= ~bit;
	}
	return(conv);
}

/*
 * Compare two localtime dates, return result.
 */

#define DECIDE(a) \
	if (dp->a > dp2->a) \
		return(1); \
	if (dp->a < dp2->a) \
		return(-1)

static
dcmp(dp, dp2)
	register struct tm *dp, *dp2;
{

	DECIDE(tm_year);
	DECIDE(tm_mon);
	DECIDE(tm_mday);
	DECIDE(tm_hour);
	DECIDE(tm_min);
	DECIDE(tm_sec);
	return(0);
}
