#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB  && OPSYS_VERS == MD_BSD_4_2) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
	OPSYS_MFR == MD_APOLLO || \
	(OPSYS_MFR == MD_SONY && OPSYS_VERS == MD_BSD_4_2) || \
	OPSYS_SUBTYPE == MD_AIX || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE == MD_HPUX) || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE == MD_BSD) || \
	OPSYS_SUBTYPE == MD_SYS5 || \
	OPSYS_TYPE == MD_VMS /* { */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 *    rint.c -- round real number to nearest integer
 *
 *    Written for compatibitly with BSD 4.3
 *
 *    Created 7/15/88 Kennard White
 */

double
rint(val)
double val;
{
	register int x;

	x = (int) (val+0.5);
	return ((double) x);
}
#endif /* } */
