#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB && OPSYS_VERS >= MD_BSD_4_2) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE != MD_HPUX) || \
	OPSYS_MFR == MD_SONY /* { */
	/* sun provides this as of os 3.5 */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 * strspn - find length of initial segment of s consisting entirely
 * of characters from accept
 */
int
strspn(s, accept)
char *s;
char *accept;
{
	register char *sscan;
	register char *ascan;
	register int count;

	count = 0;
	for (sscan = s; *sscan != '\0'; sscan++) {
		for (ascan = accept; *ascan != '\0'; ascan++)
			if (*sscan == *ascan)
				break;
		if (*ascan == '\0')
			return count;
		count++;
	}
	return count;
}
#endif /* } */
