#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "oct.h"
#include "oct_helper.h"

#include "OctLisp.h"
#include "OctLispMachine.h"

#include "machine.h"
#include "help.h"
#include "internal.h"

/*
 *    OLOcterrorstatus - return the status of the last oct function
 *
 *    (error-status)
 *
 *    return the oct-status
 */
LLobject *
OLOcterrorstatus()
{
	return (OLMakeOctStatus(OLGlobalOctStatus));
}

/*
 *    OLOcterrorstring - return the value of octErrorString
 *
 *    (error-string)
 *
 *    return the string
 */
LLobject *
OLOcterrorstring()
{
	return (LLMakeString(octErrorString()));
}
