#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHAt - return the file at a place
 *
 *    return {the member, NULL} on {inrange, outofrange}
 */
ARCHfile *
ARCHAt(arch, index)
ARCHarchive *arch;
int index;
{
	if (index < 0 || DYNSizeOfEl(&arch->files) <= index)
	    return (ARCHErrno = ARCH_EOUT_OF_RANGE, (ARCHfile *) NULL);

	return (DYNpAt(&arch->files, index, ARCHfile));
}
