#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHExtract - extract an archive member
 *
 *    return {ARCH_ok, ARCH_notok}
 */
ARCHstatus
ARCHExtract(arch, index, extract)
ARCHarchive *arch;
int index;
ARCHextract extract;
{
	ARCHfile *file;

	file = DYNpAt(&arch->files, index, ARCHfile);
	return (ARCHExtractTo(arch, index, extract, file->name));
}
