#include "sumachine.h"

#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include <ar.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "archive.h"
#include "internal.h"

/*
 *    ARCHExtractToBuf - extract an archive member to a buffer
 *
 *    return {ARCH_ok, ARCH_notok}
 */
ARCHstatus
ARCHExtractToBuf(arch, index, p_buf)
ARCHarchive *arch;
int index;
RefAny *p_buf;
{
	int cc;
	ARCHfile *file;

	file = DYNpAt(&arch->files, index, ARCHfile);

	if ((*p_buf = ALLOC_ARRAY(file->size, char)) == NULL)
	    return (ARCHErrno = ARCH_ENO_MEM, ARCH_notok);

	lseek(arch->work_fd, file->offset, L_SET);
	if ((cc = read(arch->work_fd, *p_buf, file->size)) != file->size)
	    return (ARCHErrno = ARCH_ESHORT_TMP, ARCH_notok);

	return (arch->flushP = TRUE, ARCH_ok);
}
