#ifdef SOURCE_HEADER
/*
 *    			RCS Control Information:
 *    $Author: saj $				
 *    $Date: 2002/12/31 15:51:27 $
 *
 *    $Revision: 1.1.1.1 $		
 *    $Source: /home/cvs/octtools/src/OctLisp/src/dynstk/pop.c,v $
 *    $State: Exp $
 */
#endif SOURCE_HEADER
#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstk.h"

/*
 *    DYNStkiPop - pop an object off of the stack.
 *
 *    Cooperates with DYNStkPopStack macro.
 *
 *    It is considered a fatal error to pop beyond the stack beginning.
 *
 *    return popped-ptr
 */
RefAny
DYNStkiPop(stack)
DYNStkgeneralStack *stack;
{
	RefAny it;

	/*
	 *    dyna (3) is constrained not to use the type for a
	 *    sizeof (type) construct, so this is totally safe.
	 */
	it = DYNStkpTop(stack, char);
	DYNSetCurrent(stack, DYNStkSp(stack)-1);

	return (it);
}
