#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrAppendNChars - append nchars
 *
 *    return nothing, just do it.
 */
void
DYNStrAppendNChars(sp, nc, nnc)
DYNStrgeneralString *sp;
char *nc;
int nnc;
{
	String s;
	int sn;

	if (sp->array.current+nnc >= sp->array.nelements)
	    DYNInsureIncrement(&sp->array, nnc);

	s = DYNStrTheString(sp);
	sn = DYNStrLength(sp);

	strncpy(&s[sn], nc, nnc);
	DYNStrSetTail(sp, sn+nnc);
	sp->null_terminatedP = FALSE;	/* be pessimistic */
}
