#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrAppendString - append a string into the (general) string.
 *
 *    return nothing, just do it.
 */
void
DYNStrAppendString(sp, s)
DYNStrgeneralString *sp;
String s;
{
	String the_s;
	int ns,
	    the_ns;

	ns = strlen(s);
	if (sp->array.current+ns+1 >= sp->array.nelements)
	    DYNInsureIncrement(&sp->array, ns+1);

	the_s = DYNStrTheString(sp);
	the_ns = DYNStrLength(sp);

	strcpy(&the_s[the_ns], s);
	DYNStrSetTail(sp, the_ns+ns);

	sp->null_terminatedP = TRUE;
}
