#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrConcatGeneralStringv - provide a way to concatenate some strings.
 *
 *    WATCHOUT - think about what happens when you concatGeneralStringv
 *    some thing on top of itself.  At present this works because 
 *    nobody stores into DYNStrConcatBuf before the copy, and strcpy(s, s)
 *    works.
 *
 *    return {ptr to DYNStrgeneralString}.
 */
DYNStrgeneralString *
DYNStrConcatv(stringv)
DYNStrgeneralString **stringv;
{
	register int i;
	
	DYNStrInitClear(&DYNStrConcatBuf);

	for (i=0; stringv[i] != NULL; i++) {
	    DYNStrAppendNChars(&DYNStrConcatBuf,
		    DYNStrTheString(stringv[i]), DYNStrLength(stringv[i]));
	}

	return (&DYNStrConcatBuf);
}
