#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "dynstr.h"

/*
 *    DYNStrPrependString - prepend a string onto the (general) string.
 *
 *    return nothing, just do it.
 */
void
DYNStrPrependString(sp, s)
DYNStrgeneralString *sp;
String s;
{
	String the_s,
	       slide;
	int ns,
	    the_ns;

	ns = strlen(s);
	if (sp->array.current+ns+1 >= sp->array.nelements)
	    DYNInsureIncrement(&sp->array, ns+1);


	the_s = DYNStrTheString(sp);
	the_ns = DYNStrLength(sp);
	for (slide = &the_s[the_ns]; slide >= the_s; slide--)
	    slide[ns] = slide[0];

	strncpy(the_s, s, ns);
	/* sp->null_terminatedP = TRUE; - can't b/c you haven't */

	DYNSetCurrent(&(sp)->array, DYNSizeOfEl(&(sp)->array)+ns);
}
