#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNFullPathToHierarchy - return the full path to the place in the hierarchy
 *
 *    return pointer.  FATAL if FIRegisterArgv0 not previously called.
 */
String
FNFullPathToHierarchy(subpath)
String subpath;
{
	int slash;

	DYNStrInitClear(&FNFullPathToHierarchyBuf);
	DYNStrCopyInto(&FNFullPathToHierarchyBuf, &FNFullPathToBinaryBuf);

	/*
	 *     <path>/bin/binary -> <path>/<subpath>
	 */
	slash = DYNStrRIndexIn(&FNFullPathToHierarchyBuf, '/');
	DYNStrSetTail(&FNFullPathToHierarchyBuf, slash);

	slash = DYNStrRIndexIn(&FNFullPathToHierarchyBuf, '/');
	DYNStrSetTail(&FNFullPathToHierarchyBuf, slash+1);

	DYNStrAppendString(&FNFullPathToHierarchyBuf, subpath);

	return (DYNStrTheString(&FNFullPathToHierarchyBuf));
}
