#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNResolveAgainstPathV - resolve against the path
 *
 *    return the resolved path in a static area.
 */
String
FNResolveAgainstPathV(against, condition, path, npath)
String against;
int condition;		/* same arg as to access (2) */
Stringv path;
int npath;
{
	int i;

	DYNStrInitClear(&FNPathResolutionBuf);
	
	for (i=0; i<npath; i++) {
	    DYNStrClear(&FNPathResolutionBuf);

	    DYNStrAppendString(&FNPathResolutionBuf, path[i]);
	    DYNStrAppendC(&FNPathResolutionBuf, '/');
	    DYNStrAppendString(&FNPathResolutionBuf, against);

	    if (access(DYNStrTheString(&FNPathResolutionBuf), condition) == 0)
		return (DYNStrTheString(&FNPathResolutionBuf));
	}
	return (FNErrno = FN_ERESOLVE, (String) NULL);
}
