#ifdef SOURCE_HEADER
#endif SOURCE_HEADER
#include <sys/param.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "filename.h"
#include "internal.h"

/*
 *    FNTildeOpen - fopen, but glob first.
 *
 *    return the {FILE *, or NULL} on {glob successful, fail}
 */
FILE *
FNTildeOpen(tilde, mode)
String tilde;
String mode;
{
	String filename;

	filename = FNTildeExpand(tilde);

	if (filename == NULL)
	    return (NULL);

	return (fopen(filename, mode));
}
