#include <sys/types.h>
#include <setjmp.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstk.h"
#include "dynstr.h"
#include "st.h"
#include "stream.h"

#include "LightLisp.h"
#include "LightLispMachine.h"

#include "oct.h"
#include "oct_helper.h"

#include "OctLisp.h"
#include "OctLispMachine.h"

#include "machine.h"
#include "help.h"
#include "internal.h"

/*
 *    OL_Help_Uninitialize - uninitialize the help library
 *
 *    return {OL_ok, OL_notok} on {success, fail}
 */
OLstatus
OL_Help_Uninitialize()
{
	DYNFree(&OLPointArray);
	DYNFree(&OLRealArray);
	DYNFree(&OLIntegerArray);
	DYNFree(&OLCharArray);

	return (OL_ok);
}
