#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhAddToSet - add an object to a set
 *
 *    return {octh_isa_member, octh_added} on {already in the set, added}
 */
octhSetStatus
octhAddToSet(set, objectId)
octhObjectSet set;
octId objectId;
{
	lsList list;
	lsGen gen;
	Boolean foundP;
	octId searchId;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	list = (lsList) set;

	foundP = FALSE;

	gen = lsStart(list);
	while (lsNext(gen, &searchId, NULL) == LS_OK) {
	    if (objectId == searchId) {
		foundP = TRUE;
		break;
	    }
	}
	lsFinish(gen);

	if ( ! foundP ) {
	    lsNewEnd(list, objectId, NULL);
	    return (octh_added);
	}

	return (octh_isa_member);
}
