#include <sys/types.h>

#include "stuff.h"
#include "list.h"
#include "alloc.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhGetPoints - get the points for this object
 *
 *    Do all of that allocation crap...
 *
 *    return {OCTH_OK, OCTH_NOTOK} on {success, fail}
 */
octhStatus
octhGetPoints(object, num_points, points)
octObject *object;
int *num_points;
struct octPoint **points;
{
	*num_points = 0;
	if (octGetPoints(object, num_points, NULL) < OCT_OK)
	    return (OCTH_NOTOK);

	*points = ALLOC_ARRAY(*num_points, struct octPoint);

	if (octGetPoints(object, num_points, *points) < OCT_OK) {
	    FREE_ARRAY(*points, *num_points, struct octPoint);
	    return (OCTH_NOTOK);
	}

	return (OCTH_OK);
}
