#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhIsConnectorTerminalP - is a connectorTerminal
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
Boolean
octhIsConnectorTerminalP(terminal)
octObject *terminal;
{
	Boolean isP;
	octObject instance;

	isP = terminal->type == OCT_TERM &&
		octhGetUniqueContainer(terminal, OCT_INSTANCE_MASK, &instance) == OCTH_OK &&
		octhIsConnectorInstanceP(&instance);
	return (isP);
}
