#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhIsMemberOfSetP - is this object a member of the set
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
Boolean
octhIsMemberOfSetP(set, objectId)
octhObjectSet set;
octId objectId;
{
	lsList list;
	lsGen gen;
	Boolean foundP;
	octId searchId;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	list = (lsList) set;

	foundP = FALSE;

	gen = lsStart(list);
	while (lsNext(gen, &searchId, NULL) == LS_OK) {
	    if (objectId == searchId) {
		foundP = TRUE;
		break;
	    }
	}
	lsFinish(gen);

	return (foundP);
}
