#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhLookupMemberOfPairSet - find the pair in a pairset
 *
 *    return {octh_isa_member, octh_nota_member} on {is, is not}.
 */
octhSetStatus
octhLookupMemberOfPairSet(set, objectId, userData)
octhObjectPairSet set;
octId objectId;
FitAny *userData;		/* return */
{
	lsList list;
	lsGen gen;
	Boolean foundP;
	octhObjectPair *search;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	list = (lsList) set;

	foundP = FALSE;

	gen = lsStart(list);
	while (lsNext(gen, &search, NULL) == LS_OK) {
	    if (objectId == search->objectId) {
		foundP = TRUE;
		break;
	    }
	}
	lsFinish(gen);

	if (foundP) {
	    *userData = search->userData;
	    return (octh_isa_member);
	}

	return (octh_nota_member);
}
