#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhNextPairSet - get the next item in the pair set
 *
 *    return {TRUE, FALSE} on {successful, not successful (end of set)}.
 */
Boolean
octhNextPairSet(psgen, objectId, userData)
octhObjectPairSetGen psgen;
octId *objectId;		/* return */
FitAny *userData;		/* return */
{
	lsGen gen;
	octhObjectPair *pair;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	gen = (lsGen) psgen;
	if (lsNext(gen, &pair, NULL) != LS_OK)
	    return (FALSE);

	*objectId = pair->objectId;
	*userData = pair->userData;
	return (TRUE);
}
