#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhNormalizeBB - normalize this bb
 *
 *    Basically the macro VEMBOXNORM or whatever its called
 *    provided for those who don't (can't) live with vem.h
 *
 *    return nothing, just do it. (modifies bb)
 */
void
octhNormalizeBB(bb)
struct octBox *bb;
{
	octCoord temp;

	temp = MAX(bb->lowerLeft.x, bb->upperRight.x);
	bb->lowerLeft.x = MIN(bb->lowerLeft.x, bb->upperRight.x);
	bb->upperRight.x = temp;

	temp = MAX(bb->lowerLeft.y, bb->upperRight.y);
	bb->lowerLeft.y = MIN(bb->lowerLeft.y, bb->upperRight.y);
	bb->upperRight.y = temp;
}
