#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhOpenFacetByName - open a facet by a name
 *
 *    cell:view:optionalfacet:optionalversion
 *
 *    return {OCTH_OK, OCTH_NOTOK} on {success, fail}
 */
octhStatus
octhOpenFacetByName(cell_view_optionalfacet_optionalversion, mode, facet)
String cell_view_optionalfacet_optionalversion;		/* modified */
String mode;
octObject *facet;
{
	if (octhGetFacetByName(cell_view_optionalfacet_optionalversion, mode, facet) == OCTH_NOTOK)
	    return (OCTH_NOTOK);

	return (octOpenFacet(facet) < OCT_OK ? OCTH_NOTOK: OCTH_OK);
}
