#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

static void killah();

/* 
 *    octhRemoveFromPairSet - add an object to a set
 *
 *    return {octh_isa_member, octh_added} on {already in the set, added}
 */
octhSetStatus
octhRemoveFromPairSet(set, objectId)
octhObjectPairSet set;
octId objectId;
{
	lsList list;
	lsGen gen;
	Boolean foundP;
	octhObjectPair *search;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	list = (lsList) set;

	foundP = FALSE;

	gen = lsStart(list);
	while (lsNext(gen, &search, NULL) == LS_OK) {
	    if (objectId == search->objectId) {
		lsDelBefore(gen, &search);
		foundP = TRUE;
		break;
	    }
	}
	lsFinish(gen);

	return (foundP ? octh_deleted: octh_nota_member);
}

static void
killah(pair)
octhObjectPair *pair;
{
	FREE_TYPE(pair, octhObjectPair);
}
