#include <sys/types.h>

#include "stuff.h"
#include "list.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/* 
 *    octhRemoveFromSet - add an object to a set
 *
 *    return {octh_isa_member, octh_added} on {already in the set, added}
 */
octhSetStatus
octhRemoveFromSet(set, objectId)
octhObjectSet set;
octId objectId;
{
	lsList list;
	lsGen gen;
	Boolean foundP;
	octId searchId;

	/*
	 *    I'll be damned if I'll tell them how its implemented
	 */
	list = (lsList) set;

	foundP = FALSE;

	gen = lsStart(list);
	while (lsNext(gen, &searchId, NULL) == LS_OK) {
	    if (objectId == searchId) {
		lsDelBefore(gen, &searchId);
		foundP = TRUE;
		break;
	    }
	}
	lsFinish(gen);

	return (foundP ? octh_deleted: octh_nota_member);
}
