#include <sys/types.h>

#include "stuff.h"

#include "oct.h"

#include "oct_helper.h"
#include "internal.h"

/*
 *    octhSymbolicP - is this a symbolic (view) facet?
 *
 *    return {TRUE, FALSE} on {is, is not}.
 */
Boolean
octhSymbolicP(facet)
octObject *facet;		/* value - should be an OCT_FACET */
{
	octObject VIEWTYPE;

	if (facet->type != OCT_FACET)
	    return (FALSE);	/* nothing better to do */

	VIEWTYPE.type = OCT_PROP;
	VIEWTYPE.contents.prop.name = "VIEWTYPE";
	if (octGetByName(facet, &VIEWTYPE) < OCT_OK)
	    return (FALSE);

	return (strequal(VIEWTYPE.contents.prop.value.string, "SYMBOLIC"));
}
