(validation create-not-attached
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (create-not-attached facet nil))
		 (error-recovery
		  (create-not-attached nil `(object ,OCT-BOX
						    ((box . ,(box (point 2 2) (point 2 2))))))))
  (with-genfacet (facet :readwrite)
		 (let* ((bag (create-not-attached facet
						  `(object ,OCT-BAG
							   ((name . ,(genname))))))
			(box (create-not-attached facet
						  `(object ,OCT-BOX
							   ((box . ,(box (point 900 234)
									 (point 934 999)))))))
			(circle (create-not-attached facet
						     `(object ,OCT-CIRCLE
							      ((center . ,(point 9 2))
							       (innerRadius . 0)
							       (outerRadius . 100)
							       (startingAngle . 0)
							       (endingAngle . 3600)))))
			(edge (create-not-attached facet
						   `(object ,OCT-EDGE
							    ((start . ,(point 3 14))
							     (end . ,(point 0 -8))))))
			(instance (with-genfacet (master :readwrite)
						 (create-not-attached facet
								      `(object ,OCT-INSTANCE
									       ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
										(name . ,(genname))
										(master . ,(cell-of master))
										(view . ,(view-of master))
										(version . ,(version-of master)))))))
			(label (create-not-attached facet
						    `(object ,OCT-LABEL
							     ((label . ,(genname))
							      (position . ,(point 33 1002))))))
			(layer (create-not-attached facet
						    `(object ,OCT-LAYER
							     ((name . ,(genname))))))
			(net (create-not-attached facet
						  `(object ,OCT-NET
							   ((name . ,(genname))))))
			(path (create-not-attached facet
						   `(object ,OCT-PATH
							    ((width . 100)
							     (points . ,(list (point 0 0)
									      (point 2 3)
									      (point 4 9)
									      (point 16 81)
									      (point 256 6561)))))))
			(polygon (create-not-attached facet
						      `(object ,OCT-POLYGON
							       ((points . ,(list (point 0 0)
										 (point 0 1)
										 (point 1 2)
										 (point 2 4)
										 (point 4 8)
										 (point 8 4)
										 (point 4 2)
										 (point 2 1)))))))
			(point (create-not-attached facet
						    `(object ,OCT-POINT
							     ((point . ,(point 33 -1934))))))
			(id (create-not-attached facet
						 `(object ,OCT-PROP
							  ((name . ,(genname))
							   (value . ,facet)))))
			(integer (create-not-attached facet
						      `(object ,OCT-PROP
							       ((name . ,(genname))
								(value . 100)))))
			(real (create-not-attached facet
						   `(object ,OCT-PROP
							    ((name . ,(genname))
							     (value . .100)))))
			(string (create-not-attached facet
						     `(object ,OCT-PROP
							      ((name . ,(genname))
							       (value . ,(genname))))))
			(integer-array (create-not-attached facet
							    `(object ,OCT-PROP
								     ((name . ,(genname))
								      (value . (1 2 3 4 5 6 7 8 9))))))
			(real-array (create-not-attached facet
							 `(object ,OCT-PROP
								  ((name . ,(genname))
								   (value . (1 2 3.0 4 5 6 7 8 9))))))
			(stranger (create-not-attached facet
						       `(object ,OCT-PROP
								((name . ,(genname))
								 (value . ,(cons "" (map 'list #'(lambda (x) (+ 97 x))
											 '(1 2 3 4 5 6 7 8 9))))))))
			(term (create-not-attached facet
						   `(object ,OCT-TERM
							    ((name . ,(genname))
							     (instance . ,oct-null-id))))))
		       (dolist (ob (list bag box circle edge facet instance label layer net path polygon point
					 id integer real string integer-array real-array stranger term))
			       (format t "create-not-attached of ~S ~S~%" ob (object-of ob))))))
