(validation create-or-modify
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (create-or-modify facet nil))
		 (error-recovery
		  (create-or-modify nil `(object ,OCT-PROP
						 ((name . "TECHNOLOGY")
						  (value . "scumos"))))))
  (with-genfacet (facet :readwrite)
		 (let* ((bag (create facet
				     `(object ,OCT-BAG
					      ((name . ,(genname))))))
			(box (create facet
				     `(object ,OCT-BOX
					      ((box . ,(box (point 900 234)
							    (point 934 999)))))))
			(circle (create facet
					`(object ,OCT-CIRCLE
						 ((center . ,(point 9 2))
						  (innerRadius . 0)
						  (outerRadius . 100)
						  (startingAngle . 0)
						  (endingAngle . 3600)))))
			(edge (create facet
				      `(object ,OCT-EDGE
					       ((start . ,(point 3 14))
						(end . ,(point 0 -8))))))
			(instance (with-genfacet (master :readwrite)
						 (create facet
							 `(object ,OCT-INSTANCE
								  ((transform . ,(transform (point 0 0) OCT-NO-TRANSFORM))
								   (name . ,(genname))
								   (master . ,(cell-of master))
								   (view . ,(view-of master))
								   (version . ,(version-of master)))))))
			(label (create facet
				       `(object ,OCT-LABEL
						((label . ,(genname))
						 (position . ,(point 33 1002))))))
			(layer (create facet
				       `(object ,OCT-LAYER
						((name . ,(genname))))))
			(net (create facet
				     `(object ,OCT-NET
					      ((name . ,(genname))))))
			(path (create facet
				      `(object ,OCT-PATH
					       ((width . 100)
						(points . ,(list (point 0 0)
								 (point 2 3)
								 (point 4 9)
								 (point 16 81)
								 (point 256 6561)))))))
			(polygon (create facet
					 `(object ,OCT-POLYGON
						  ((points . ,(list (point 0 0)
								    (point 0 1)
								    (point 1 2)
								    (point 2 4)
								    (point 4 8)
								    (point 8 4)
								    (point 4 2)
								    (point 2 1)))))))
			(point (create facet
				       `(object ,OCT-POINT
						((point . ,(point 33 -1934))))))
			(id (create facet
				    `(object ,OCT-PROP
					     ((name . ,(genname))
					      (value . ,facet)))))
			(integer (create facet
					 `(object ,OCT-PROP
						  ((name . ,(genname))
						   (value . 100)))))
			(real (create facet
				      `(object ,OCT-PROP
					       ((name . ,(genname))
						(value . .100)))))
			(string (create facet
					`(object ,OCT-PROP
						 ((name . ,(genname))
						  (value . ,(genname))))))
			(integer-array (create facet
					       `(object ,OCT-PROP
							((name . ,(genname))
							 (value . (1 2 3 4 5 6 7 8 9))))))
			(real-array (create facet
					    `(object ,OCT-PROP
						     ((name . ,(genname))
						      (value . (1 2 3.0 4 5 6 7 8 9))))))
			(stranger (create facet
					  `(object ,OCT-PROP
						   ((name . ,(genname))
						    (value . ,(cons "" (map 'list #'(lambda (x) (+ 97 x))
									    '(1 2 3 4 5 6 7 8 9))))))))
			(term (create facet
				      `(object ,OCT-TERM
					       ((name . ,(genname))
						(instance . ,oct-null-id))))))
		       (dolist (ob (list bag box circle edge facet instance label layer net path polygon point
					 id integer real string integer-array real-array stranger term))
			       (format t "create of ~S ~S~%" ob (object-of ob))))
		 (let (
		       (instance (create-or-modify facet
						   `(object ,OCT-INSTANCE
							    ((transform . ,(transform (point 100 200 0) OCT-FULL-TRANSFORM '(3.0 44 22 33)))
							     (name . ,(genname)))
							    (master . ,(master-of instance))
							    (view . ,(view-of instance))
							    (version . ,(version-of instance)))))
		       (label (create-or-modify facet
						`(object ,OCT-LABEL
							 ((label . ,(label-of label))
							  (position . ,(point 833  4102))))))
		       (id (create-or-modify facet
					     `(object ,OCT-PROP
						      ((name . ,(name-of id))
						       (value . (1 9))))))
		       (integer (create-or-modify facet
						  `(object ,OCT-PROP
							   ((name . ,(name-of integer))
							    (value . (100 103 130 130 "yes"))))))
		       (real (create-or-modify facet
					       `(object ,OCT-PROP
							((name . ,(name-of real))
							 (value . (.100))))))
		       (string (create-or-modify facet
						 `(object ,OCT-PROP
							  ((name . ,(name-of string))
							   (value . 10034)))))
		       (integer-array (create-or-modify facet
							`(object ,OCT-PROP
								 ((name . ,(name-of integer-array))
								  (value . ,(genname))))))
		       (real-array (create-or-modify facet
						     `(object ,OCT-PROP
							      ((name . ,(name-of real-array))
							       (value . .0034)))))
		       (stranger (create-or-modify facet
						   `(object ,OCT-PROP
							    ((name . ,(name-of stranger))
							     (value . ,real-array)))))
		       (term (create-or-modify facet
					       `(object ,OCT-TERM
							((name . ,(name-of term))
							 (instance . ,oct-null-id))))))
		      (dolist (ob (list instance label id integer real string integer-array real-array stranger term))
			      (format t "create-or-modify of ~S ~S~%" ob (object-of ob))))))
