(validation depth-first-traversal
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (create facet nil))
		 (error-recovery
		  (create nil #'(lambda (obj) obj))))
  (with-genfacet (facet :readwrite)
		 (let ((width 4)
		       (height 4)
		       (number 0))
		      (flet ((make-tree (container height))
			     (dotimes (i width)
				      (let ((new-prop
					     (create container
						     `(object ,OCT-PROP
							      ((name . ,(if (= height 0) "leaf" "intermediate"))
							       (value . ,(setq number (1+ number))))))))
					   (if (> height 0)
					       (make-tree new-prop (1- height))))))
			    (let ((tree (make-tree facet depth)))
				 (princ "Values: ")
				 (depth-first-traversal facet
							#'(lambda (prop)
								  (if (eq OCT-PROP (object-type-of prop))
								      (print (value-of prop)))))
				 (terpri))))))
