(validation flush-facet
  (error-recovery
   (flush-facet (point 0 0)))
  (flet ((make-subcell (&optional (flushp nil))
		       (with-genfacet (parent :readwrite)
				      (when (and flushp (not (flush-facet parent)))
					    (format t "Could not flush parent facet ~S because ~A~%"
						    parent (oct-error-string))
					    (throw 'octlisp nil))
				      (with-open-facet (child (concatenate 'string (cell-of parent) "/" (genname)) (genname)
							      "contents" OCT-CURRENT-VERSION :readwrite)
						       (format t "Parent facet: ~S~%Child facet: ~S~%" parent child)))))
	(make-subcell nil)
	(make-subcell t)))
