(validation free-facet
  (error-recovery
   (free-facet (point 0 0)))
  (error-recovery
   (let ((facet (genfacet :readwrite)))
	(free-facet facet)
	(free-facet facet)))
  (flet ((test-mode (mode)
		    (let* ((cell (gencellname))
			   (view (genname))
			   (facet (open-facet cell view "contents" OCT-CURRENT-VERSION mode)))
			  (when (not facet)
				(format t "Could not open ~A:~A:contents as ~S because ~A~%"
					cell view mode (oct-error-string))
				(throw 'octlisp nil))
			  (if (not (free-facet facet))
			      (format t "Could not free ~A:~A:contents as ~S because ~A~%"
				      cell view mode (oct-error-string))))))
	
	(test-mode :readonly)
	(test-mode :readwrite)
	(test-mode :readwrite-append)))
