(validation instance-of
  (with-genfacet (facet :readwrite)
		 (error-recovery
		  (instance-of 7))
		 (error-recovery
		  (instance-of facet))
		 (error-recovery
		  (instance-of (object-of facet))))
  (with-genfacet (facet :readwrite)
		 (let* ((instance (with-genfacet (master :readwrite)
						 ; first create a terminal for the instance
						 (create master `(object ,OCT-TERM
									 ((name . ,(genname))
									  (instance . ,oct-null-id))))
						 (create facet
							 `(object ,OCT-INSTANCE
								  ((instance . ,(instance (point 0 0) OCT-NO-TRANSFORM))
								   (name . ,(genname))
								   (master . ,(cell-of master))
								   (view . ,(view-of master))
								   (version . ,(version-of master)))))))
			(actualTerminal (gen-first-content instance OCT-TERM-MASK))
			(formalTerminal (create facet
						`(object ,OCT-TERM
							 ((name . ,(genname))
							  (instance . ,oct-null-id)))))
			ob-form)
		       (dolist (ob (list actualTerminal formalTerminal))
			       (setq ob-form (object-of ob))
			       (format t "instance-of ~S ~S~%" ob (instance-of ob))
			       (format t "instance-of ~S ~S~%" ob-form (instance-of ob-form))))))
