#include <sys/types.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"

#include "path.h"
#include "internal.h"

/*
 *    PATHFinish - finish a generator on the path
 *
 *    Initialize the state buffer passed in.
 *
 *    return nothing, just do it.
 */
void
PATHFinish(gen)
PATHgen gen;
{
	PATHrealGen *realgen = (PATHrealGen *) gen;

	if (realgen->this != NULL)
	    DYNFree(&realgen->buf);		/* free later */
}
