#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "stream.h"

#include "internal.h"

/*
 *    STREAMCallNewlineDemon - call the newline demo
 *
 *    This is an internal function only
 *
 *    return nothing, just do it.
 */
void
STREAMCallNewlineDemon(stream)
STREAM *stream;
{
	/*
	 *    Inhibit infinite death-recursion
	 *    So you can print out on the same stream
	 *    with the newline demon without firing the demon again
	 */
	if (stream->newline.inhibitP)
	    return;

	stream->newline.inhibitP = TRUE;
	(*stream->newline.callback)(stream, stream->newline.userData);
	stream->newline.inhibitP = FALSE;
}
