#include "sumachine.h"

#include <sys/types.h>
#include <stdio.h>

#include "stuff.h"
#include "alloc.h"
#include "dyna.h"
#include "dynstr.h"

#include "stream.h"

#include "internal.h"

/*
 *    STREAMUncount - count the chars
 *
 *    return nothing, just do it.
 */
void
STREAMUncount(side, c)
STREAMside *side;
char c;
{
	switch (c) {
	case '\n':
	    side->counts.columnno = 0;   /* best we can do */
	    side->counts.lineno--;
	    break;
	case '\t':
	    side->counts.columnno--;	/* best we can do */
	    break;
        case '(':
            side->counts.parens--;
            side->counts.columnno--;
            break;
        case ')':
            side->counts.parens++;
            side->counts.columnno--;
            break;
        case '{':
            side->counts.curls--;
            side->counts.columnno--;
            break;
        case '}':
            side->counts.curls++;
            side->counts.columnno--;
            break;
        case '[':
            side->counts.squares--;
            side->counts.columnno--;
            break;
        case ']':
            side->counts.squares++;
            side->counts.columnno--;
            break;
        case '<':
            side->counts.bracks--;
            side->counts.columnno--;
            break;
        case '>':
            side->counts.bracks++;
            side->counts.columnno--;
            break;
	default:
            side->counts.columnno--;
	}
}	
