#include "sumachine.h"

#include <sys/types.h>
#include <time.h>		/* not sys/time.h */
#include <ctype.h>

#include "stuff.h"
#include "untime.h"

/*
 * Convert a Mmm month into an integer index
 *
 * Return -1 if the string is not a month
 * Return 0 .. 11 if the string is a month
 */
int
UnTimeFindMonth(amonth, month)
char *amonth;
int *month;
{
	static char *the_months = "JanFebMarAprMayJunJulAugSepOctNovDec";
	char *m;

	for (m=the_months, *month=0; *m != '\0'; m = &m[3], (*month)++) {
	    if (m[0] == amonth[0] && m[1] == amonth[1] && m[2] == amonth[2]) {
		return (0);
	    }
	}

	return (-1);
}
