#include "sumachine.h"

#include <sys/types.h>

#include <ctype.h>

#include "stuff.h"

/*
 *    nocase_strequal - case insensitive string comparison.
 *
 *    an int so that it doesn't have to be declared everywhere
 *
 *    return {1, 0} on {is, is not}.
 */
int
nocase_strequal(b1, b2)
register u_Byte *b1;
register u_Byte *b2;
{
	register u_int c1, c2;

	while (*b1 != '\0' && *b2 != '\0') {
	    c1 = *b1, c2 = *b2;

	    if (islower(c1))
		c1 = _toupper(c1);	/* the macro! */
	    if (islower(c2))
		c2 = _toupper(c2);	/* the macro! */

	    if (c1 != c2)
		return (0);
	    b1++, b2++;
	}

	return (*b1 == '\0' && *b2 == '\0' ? 1: 0);
}
