#include "sumachine.h"

#include <sys/types.h>

#include <ctype.h>

#include "stuff.h"

/*
 *    nocase_strcmp - case insensitive string comparison.
 *
 *    an int so that it doesn't have to be declared everywhere
 *
 *    return {1, 0} on {is, is not}.
 */
int
nocase_strcmp(b1, b2)
register u_Byte *b1;
register u_Byte *b2;
{
	register u_int c1, c2;

	while (*b1 != '\0' && *b2 != '\0') {
	    c1 = *b1, c2 = *b2;

	    if (islower(c1))
		c1 = _toupper(c1);	/* the macro */
	    if (islower(c2))
		c2 = _toupper(c2);	/* the macro */

	    if (c1 != c2)
		return (c1 - c2);
	    b1++, b2++;
	}

	if (*b1 == '\0' && *b2 == '\0')
	    return (0);

	c1 = *b1, c2 = *b2;
	if (islower(c1))
	    c1 = _toupper(c1);	/* the macro */
	if (islower(c2))
	    c2 = _toupper(c2);	/* the macro */
	return (c1 == '\0' && c2 == '\0' ? 0: c1 - c2);
}
