#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB && OPSYS_VERS >= MD_BSD_4_2) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE != MD_HPUX) || \
	OPSYS_MFR == MD_SONY || \
	OPSYS_TYPE == MD_VMS /* { */
	/* sun provides these as of os 3.5 */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

/*
 * memccpy - copy bytes up to a certain char
 */
char *
memccpy(dst, src, ucharstop, size)
char *dst;
char *src;
int size;
{
	register char *d;
	register char *s;
	register int n;
	register int uc;

	if (size <= 0)
		return ((char *) 0);

	s = src;
	d = dst;
	uc = (unsigned char) ucharstop;
	for (n = size; n > 0; n--)
		if ((unsigned char) (*d++ = *s++) == uc)
			return d;

	return (char *) 0;
}
#endif /* } */
