#include "internal.h"	/* before sumachine.h */
#include "sumachine.h"

static char RCS[] = "sumachine ($Revision: 1.1.1.1 $)";	/* to prevent a complete #ifdef */

#if (OPSYS_MFR == MD_UCB && OPSYS_VERS <= MD_BSD_4_3) || \
	(OPSYS_MFR == MD_IBM && OPSYS_SUBTYPE == MD_AICS) || \
	OPSYS_SUBTYPE == MD_DYNIX || \
 	OPSYS_MFR == MD_SONY || \
	(OPSYS_MFR == MD_HP && OPSYS_SUBTYPE != MD_HPUX) /* { */
/* DON'T (OPSYS_MFR == MD_APOLLO) b/c the compiler enforces it to return int */

#if OPSYS_TYPE == MD_UNIX /* { */
#include <sys/types.h>
#endif /* } */
#if OPSYS_TYPE == MD_VMS /* { */
#include <types.h>
#endif /* } */

#include <stdio.h>
#include <varargs.h>

/*VARARGS2*/
char *
vsprintf(buf, fmt, ap)
char *buf;
char *fmt;
va_list ap;
{
	register int n;
	struct _iobuf _strbuf;

        _strbuf._flag = _IOWRT+_IOSTRG;
        _strbuf._ptr = buf;
        _strbuf._cnt = 0x7fffffff;
        n = _doprnt(fmt, ap, &_strbuf);
        putc('\0', &_strbuf);

        return (buf);
}

#endif /* } */
