#include "boss_int.h"

extern "C"
{
#include "symlib.h"
}

void bossClearConstraints(BossFacet& facet)
{
if(symCleanAllConstraints(&facet) != SYM_OK)
  errRaise( BOSS_PKG_NAME, 43, "Problems clearing old constraints");
}

void bossSetConstraint(int direction, BossInstance& inst1, BossInstance& inst2, int min, int max)
{
if(symNormalConstraint(direction, &inst1, &inst2, min, max) != SYM_OK)
  errRaise( BOSS_PKG_NAME, 46, "Problems creating constraint");
}

void bossSetSideConstraint(BossInstance& inst, int side, int min, int max)
{
if(symSideConstraint( &inst, side, min, max) != SYM_OK)
  errRaise( BOSS_PKG_NAME, 47, "Problems creating side constraint");
}
