#include <stream.h>

static int bossDebug = 0;

void bossDebug_on()
{
    bossDebug = 1;
}

void bossDebug_off()
{
    bossDebug = 0;
}

void bossWarning(char *str)
{
    cerr << "\nBOSS WARNING " << str << "\n";
}

void bossMessage(char *str)
{
    if(bossDebug == 0) {
	cerr << ".";
	return;
    }
    char c;
    char* header = "     BOSS MESSAGE -- ";
    
    while(strlen(str) > 61) {
	c = str[61];
	str[61] = '\0';
	cerr << header << str << "\n";
	str[61] = c;
	str = &(str[61]);
	header = "                     ";
    }
    cerr << header << str << "\n";
}















