#include "boss_int.h"

overload bossCreateProp;

void bossCreateProp( octObject& obj, char* name, int value)
{
    octObject prop;

    OH_ASSERT(ohCreateOrModifyPropInt(&obj, &prop, name, value));
}

void bossCreateProp( octObject& obj, char* name, double value)
{
octObject prop;

OH_ASSERT(ohCreateOrModifyPropReal(&obj, &prop, name, value));
}

void bossCreateProp( octObject& obj, char* name, char* value)
{
octObject prop;

OH_ASSERT(ohCreateOrModifyPropStr(&obj, &prop, name, value));
}

int bossGetPropInt(octObject& obj, char* name)
{
octObject prop;

OH_ASSERT(ohGetByPropName(&obj, &prop, name));
return prop.contents.prop.value.integer;
}

double bossGetPropReal(octObject& obj, char* name)
{
octObject prop;

OH_ASSERT(ohGetByPropName(&obj, &prop, name));
return prop.contents.prop.value.real;
}

char* bossGetPropStr(octObject& obj, char* name)
{
octObject prop;

OH_ASSERT(ohGetByPropName(&obj, &prop, name));
return prop.contents.prop.value.string;
}
