#include "copyright.h"
#include "port.h"
#include "rpc.h"
#include "st.h"
#include "sm.h"

extern st_table *fonts;


/*ARGSUSED*/
enum st_retval
printfont(key, value, arg)
char *key;
char *value;
char *arg;
{
    VEMMSG("          ");
    VEMMSG(key);
    VEMMSG("\n");
    return(ST_CONTINUE);
}


/*ARGSUSED*/
int
listfonts(spot, cmdList, userOptionWord)
RPCSpot *spot;
lsList cmdList;
long userOptionWord;
{
    if (lsLength(cmdList) != 0) {
	VEMMSG("format: fonts\n");
	vemPrompt();
	return(RPC_OK);
    }

    VEMMSG("\nFonts:\n");
    st_foreach(fonts, printfont, (char *) 0);
    vemPrompt();
    
    return(RPC_OK);
}


/*ARGSUSED*/
int
exitApp(spot, cmdList, userOptionWord)
RPCSpot *spot;
lsList cmdList;
long userOptionWord;
{
    VEMMSG("Exiting SLIDE-MAKER\n");
    vemPrompt();
    RPCExit(0);
}
