#ifndef CP_H
#define CP_H

typedef struct cp_point {
   int32 x;
   int32 y;
} cp_point;

typedef struct cp_path {
    struct cp_point point;
    struct cp_path *next;
} cp_path;

extern int cp_line_number;
extern void cp_userextension(int, char *);
extern void cp_end();
extern void cp_polygon(int, cp_path *);
extern void cp_box(int, int, cp_point, cp_point);
extern void cp_roundflash(int,cp_point);
extern void cp_wire(int, int, cp_path *);
extern void cp_layer(char *);
extern void cp_defstart(int,int, int);
extern void cp_deffinish();
extern void cp_defdelete(int);
extern void cp_call(int, double (*)[2], int32, int32, int);

#endif /* CP_H */
