static scan_point *boxer_scan(pointer, x)
register scan_point *pointer;
register fa_coord x;
{

    while ( pointer->next->x <= x ) {
	    pointer = pointer->next;
    }

    return(pointer);
}

static int boxer_check_emit(outbox, pointer, vertex)
fa_box **outbox;
scan_point *pointer;
fa_vertex *vertex;
{

    switch (vertex->type) {

	case UPPER_LEFT_NEG : 
	    if (pointer->y != vertex->y) {
		put_box( outbox, pointer->last->x,
				 pointer->y,
				 vertex->x,
				 vertex->y );
		
		pointer->last->y = pointer->y = vertex->y;
	    }
	    break;

	case UPPER_RIGHT_NEG : 
	case UPPER_LEFT_POS :
	case LEFT_DIAGONAL :
	    if (pointer->y != vertex->y) {
		put_box( outbox, vertex->x,
				 pointer->y,
				 pointer->next->x,
				 vertex->y );
		
		pointer->next->y = pointer->y = vertex->y;
	    }
	    break;

	case LOWER_LEFT_NEG : 	
	    if (pointer->next->y != vertex->y) {
		put_box( outbox, pointer->last->x,
				pointer->next->y,
				pointer->next->x,
				vertex->y );
		
		pointer->next->y = 
		    pointer->last->y = pointer->y = vertex->y;
	    }
	    break;
    }
	return 0;
}

static int put_box( outbox, left, bottom, right, top)
fa_box **outbox;
fa_coord left;
fa_coord bottom;
fa_coord right;
fa_coord top;
{
    fa_box *ptr;

    if (left == FA_INFINITY || bottom == FA_INFINITY ||
        left == -FA_INFINITY || bottom == -FA_INFINITY ) {
	fa_debug_func(left,bottom);
    }

    if (right == FA_INFINITY || top == FA_INFINITY ||
        right == -FA_INFINITY || top == -FA_INFINITY ) {
	fa_debug_func(right,top);
    }

    ptr = ALLOC(fa_box, 1);

    ptr->left = left;
    ptr->bottom = bottom;
    ptr->right = right;
    ptr->top = top;

    ptr->next = *outbox;
    *outbox = ptr;
	return 0;
}

