#ifndef PORT_H
#define PORT_H

/* 
 *  Stefan Jones <stefan.jones@multigig.com>
 *  Do all these using system libraries, we now require a glibc
 */

#define _GNU_SOURCE
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/types.h>
#include <math.h>
#include <signal.h>
#include <unistd.h>
#include <assert.h>
#include <strings.h>
#include <string.h>
#include <limits.h>

#ifndef int32
typedef int int32;
#endif

#ifndef int16
typedef short int16;
#endif

#ifndef SIGNAL_FN
#define SIGNAL_FN void
#endif

#ifndef CONST
#define CONST const
#endif

#ifndef USHRT_MAX
#define USHRT_MAX      (~ (unsigned short int) 0)
#endif

#ifndef UINT_MAX
#define UINT_MAX       (~ (unsigned int) 0)
#endif

#ifndef ULONG_MAX
#define ULONG_MAX      (~ (unsigned long int) 0)
#endif

#ifndef SHRT_MAX
#define SHRT_MAX       ((short int) (USHRT_MAX >> 1))
#endif

#ifndef INT_MAX
#define INT_MAX                ((int) (UINT_MAX >> 1))
#endif

#ifndef LONG_MAX
#define LONG_MAX       ((long int) (ULONG_MAX >> 1))
#endif

#define VOID_HACK void

#endif /* PORT_H */
